PHORONIX TEST SUITE CHANGE-LOG

Phoronix Test Suite 10.8.4
3 July 2022

pts-core: Allow sub-folders within PTS_EXTRA_SYSTEM_LOGS_DIR when uploading to Phoromatic server
pts-core: Fix TOTAL_LOOP_TIME handling
pts-core: openSUSE external dependency handling fixes
phodevi: Support for reporting video BIOS version
phodevi: Budgie desktop version detection
phodevi: Avoid deprecated wmic usage on Windows
phoromatic: Input sanitization updates in the result viewer

Phoronix Test Suite 10.8.3
23 April 2022

pts-core: Workaround Ubuntu 22.04 apt-get crashing the entire process on dependency installation
pts-core: Improved TTF font file detection
pts-core: Minor random fixes
phodevi: Apple M1 detection on Linux

Phoronix Test Suite 10.8.2
13 February 2022

pts-core: Arch Linux external dependency updates
pts-core: Workaround/fix PHP 5.4 usage with RHEL7-based distributions
pts-core: Convert compiler / multicore / single-threaded test suites into virtual test suites since their properties can be auto-determined based on OB metadata to avoid manually maintaining them
pts-core: Add virtual test suites for "riscv" and "aarch64" to make it easy to show test profiles that can run successfully on RISC-V and 64-bit Arm hardware
phodevi: Improved detection for components found on the Steam Deck and other hardware
phodevi: Add Arm Cortex-X1C detection
phodevi: CPU temperature reporting for additional SoCs such as the Raspberry Pi 400
phoromatic: Additional input sanitization and validation improvements

Phoronix Test Suite 10.8.1
23 January 2022

pts-core: Log external dependencies attempted to be installed to phoronix-test-suite-dependencies.log
pts-core: Allow PTS_DISPLAY_MODE to override other display mode preferences (e.g. short mode requested inline)
pts-core: Optional Download Cache Server interface support for HTTPS
pts-core: Support for archiving test profile change-logs locally rather than having to always query OpenBenchmarking.org server
pts-core: Allow caching of some OpenBenchmarking.org overview metrics locally for reducing repetitive OpenBenchmarking.org load/queries
pts-core: Allow displaying more overview metrics from OpenBenchmarking.org in the web view and info sub-command now that it's cached
pts-core: Make rendering of Perf Per Core/Thread/Clock/RAM opt-in from the result viewer
phoromatic: Allow binary log file uploads by default when Phoromatic Server is 10.8+
phoromatic: Input sanitization updates for Phoromatic Server and other security improvements
phoromatic: Move "Create A Test Profile" page behind an opt-in rootadmin Phoromatic Server option
phoromatic: Log update script output
phodevi: GPU vRAM usage reporting for modern AMDGPU DRM versions
phodevi: Use "-NoProfile" with powershell for possible performance benefits
phodevi: Avoid including kernel version in Mesa/OpenGL string
phodevi: Arm Neoverse-V1 / Cortex-X2 identification

Phoronix Test Suite 10.8.0
25 December 2021

pts-core: Remaining PHP 8.1 warnings/fixes addressed
pts-core: Various macOS 12 warning fixes
pts-core: Allow using OUTPUT_DIR / OUTPUT_FILE environment variables to control result-file-to* sub-commands
pts-core: Improved JSON output generation, add option to the result viewer
pts-core: Add result-file-to-html sub-command and simple inline HTML result output option from result viewer
pts-core: Allow sorting results by test date/time
pts-core: Add TEST_EXECUTION_SORT environment variable to allow sorting test run order in more ways
pts-core: Consolidate/centralize handling of environment variable options to pts_env
pts-core: Add remove-incomplete-results-from-result-file helper command to remove results with incomplete or missing data
pts-core: Add REMOVE_TESTS_ON_COMPLETION environment variable as another way to have tests auto-uninstall/remove after running
pts-core: Improved test installation / test run-time error reporting and detection
pts-core: Allow recording/archiving install and runtime errors within installation metadata
pts-core: Add list-failed-installs sub-command for showing tests that failed to install
pts-core: Add list-test-errors sub-command for showing test run-time errors
pts-core: Add variables sub-command for showing environment variable descriptions and what is set
pts-core: Dynamic detection of Windows download folder location
pts-core: Improved Zip handling on Windows
phodevi: Add detection for Arm Cortex-A710 and Neoverse-N2 cores
phodevi: Add detection for AMD Zen 4 cores
phodevi: Add detection for Intel Raptor Lake
phodevi: Allow better detecting model number on Windows/Linux for Dell and Apple laptops
phodevi: CPU temperature monitoring on Windows
phodevi: Show "energy_performance_preference" CPU frequency scaling value where relevant
phodevi: Linux CPUFreq EPP reporting support
phodevi: Report Windows 10+ security features
phodevi: Add PHODEVI_SANITIZE environment variable for those wanting to strip out certain hardware/software strings from system information
cleanup: Add module that can auto uninstall tests not run in a given amount of time
phoromatic: Allow relevant PTS environment variables to be exposed for setting by Phoromatic Server for benchmarks/schedules as "advanced options" area
phoromatic: Use the unified result viewer code for presenting result graphs and other result page data
phoromatic: Make use of shared/common result viewer code to allow adding/editing annotations, editing result file title/description, and deleting individual results from within the result viewer
phoromatic: Efficiency improvement for when viewing result with just one result file
phoromatic: Allow Phoromatic client to connect to Phoromatic HTTPS servers
phoromatic: Allow optionally uploading test install/run logs to the Phoromatic Server
phoromatic: Alow "Run A Benchmark" area to execute conventional PTS/system test suites
phoromatic: Allow test schedules page to add suites to a schedule rather than only adding just test profiles
phoromatic: Add option to settings page to always un-install/remove tests after execution for all Phoromatic testing
phoromatic: Allow environment variables to also be set on a global basis from the Phoromatic Server Settings page
phoromatic: Allow test installation metadata to be submitted to Phoromatic Server so from systems area can show currently installed tests and any errors
phoromatic: Opt-in (settings page) support for streaming in-progress benchmark results to the Phoromatic Server between test runs so results can be viewed from the server as they are completed
phoromatic: Unifying more result viewer and Phoromatic common display code

Phoronix Test Suite 10.6.1
10 October 2021

pts-core: Allow reporting test run errors inline / as part of the result file XML with null/empty results
pts-core: Remove the old, long deprecated static/JavaScript PTS result viewer that hasn't been used except for rare fallbacks since PTS pre-9.0
pts-core: PHP 8.1 deprecation warning/error fixes
pts-core: Support launching PHP web server with PHP_CLI_SERVER_WORKERS to allow multiple workers/threads
pts-core: Windows batch file handling test execution fix
pts-core: Allow running merge-results when pointing to specific XML files outside of standard paths
pts-core: Various minor fixes
phoromatic: Fix possible case of local test profile download issues from Phoromatic Server
phoromatic: Warn when lacking database write access for Phoromatic Server
phoromatic: Support (opt-in) handling of non-text file log files
phoromatic: Allow uploading of system logs after initial upload of result XML to deal with HTTP size limitations and other factors with large logs
phoromatic: Use the unified/common log viewer for viewing logs from the Phoromatic web interface
phoromatic: Tweaking of the Phoromatic CSS style to bring it more uniform with OpenBenchmarking.org / PTS Local Result Viewer / first update in ~6 years...
phodevi: Improve detection of new Intel oneAPI DPC++/C++ Compiler
phodevi: ACPI Platform Profile reporting support on Linux
phodevi: Support reporting NVIDIA BAR1 total memory / Radeon vRAM visible memory (Resizable BAR / ReBAR status)

Phoronix Test Suite 10.4.0
16 May 2021

pts-core: Ubuntu 21.04 dependency updates for changed/removed package names
pts-core: Add "auto-resolution-wide" option
pts-core: Add $CPU_THREADS_PER_CORE helper
pts-core: Allow perf-per-dollar-per-hour in the result viewer, extending perf-per-dollar HTML helper
pts-core: Add PTS_EXTRA_SYSTEM_LOGS_DIR environment variable to allow pointing to directory of extra system log files
pts-core: Add RepositoryURL option for test profiles
phodevi: Intel Linux graphics string format improvement
phoromatic: Treat set context scripts as a file rather than executing it as a buffer
phoromatic: Allow passing Phodevi system properties to Phoromatic Server
phodevi: Add some new properties, port some pts_network info to phodevi interfaces
system_monitor: Adjust perf-per precision

Phoronix Test Suite 10.4.0 Milestone 1
17 March 2021

pts-core: Optimize out sorting percentile values array excess times
pts-core: Optimization to avoid re-parsing test profile definition multiple times
pts-core: Optimization to avoid re-parsing installed test metadata multiple times
pts-core: Allow longer HTTP timeouts on OpenBenchmarking.org result uploads if needed
pts-core: Allow sorting runs within a result file from within the result viewer web interface

Phoronix Test Suite 10.2.2
17 February 2021

pts-core: Add helper text when hitting a download with no working mirrors
pts-core: Various external dependency updates
pts-core: Add enable-repo sub-command for more easily enabling new OpenBenchmarking.org repos
pts-core: Result viewer fix for the limit drop down menu potentially not being activated in some cases
pts-core: Allow renaming runs within the result viewer
phoromatic: Ensure pcntl_signal is present before starting Phoromatic Server
phoromatic: PHP 8 compatibility fixes
phodevi: Fix display driver name potentially being reported inaccurate for some obscure graphics cards / driver configurations
phodevi: Export current GPU graphics card PCI device ID (GPU_DEVICE_ID) for some games/tests relying on it for configuration

Phoronix Test Suite 10.2.1
1 February 2021

pts-core: Add "InstallRequiresInternet" option for test profiles that is more narrow (install time only) than the existing "RequiresInternet"
pts-core: Add check-tests sub-command
pts-core: Fix possible crash on PDF output
pts-core: Various small fixes and tweaks
pts-core: Fix PHP8 + cURL download error
pts_Graph: A number of minor SVG standards compliance updates
phodevi: Log Transparent Huge Pages setting as part of system details
phodevi: Don't bother parsing the X.org log if it grows too big

Phoronix Test Suite 10.2.0
5 January 2021

pts-core: PHP8 detection improvements
pts-core: For estimated run time, avoid over-calculating time if test has no options but multiple outputs
pts-core: Updated (Open)Mandriva external dependencies
pts_Graph: Minor enhancements
phodevi: Add support for reporting ACPI Platform Profile and INT340x Workload Hint

Phoronix Test Suite 10.2.0 Milestone 3
21 December 2020

pts-core: Add debug-unhandled-dependencies option
pts-core: Default to 2.5% std dev threshold default on new installs
pts-core: BSD external dependency updates
pts-core: Various refinements to the text user interface
pts-core: When a test profile hits a failed download / broken mirror, report that URL to OpenBenchmarking.org
phodevi: Don't restore the Phodevi cache if the /etc/machine-id changed (or /etc/hostname as fallback)

Phoronix Test Suite 10.2.0 Milestone 2
6 December 2020

pts-core: Transition to new JSON-based data format for managing test install metadata while maintaining backwards compatibility with prior XML format
pts-core: Begin tracking test run-times per-hash (all configured test options) for more detailed time tracking and in turn time estimates on subsequent runs
pts-core: Increase compression factor when uploading benchmark results
pts-core: Last minute fixes for PHP 8.0 compatibility
phodevi: Report if CPUFreq Boost enabled/disabled
turbostat: Add TurboStat module to easily generate turbostat dumps on a per-test basis to log files
phoromatic: Much faster web viewer performance especially with large databases

Phoronix Test Suite 10.2.0 Milestone 1
21 November 2020

pts-core: Log lock_stat, config.gz, dmidecode to system logs
pts-core: Only show Apple options when running on macOS
pts-core: Add extra safeguard around FORCE_TIMES_TO_RUN for disabling dynamic run count
ob_auto_compare: Intelligently choose more relevant reference results
phodevi: macOS CPU temperature monitoring support
phodevi: Support for reading WattsUp Pro power meter data directly without utility using WATTS_UP_METER=<USB TTY>
phodevi: Report Google Compute Engine machine type as part of motherboard string
phodevi: Add dumpe2fs to system logs when running on EXT4 and root
phodevi: Add block size reporting
phodevi: CPU power reporting for Ampere Altra
phodevi: Various Ampere Altra hardware detection/reporting improvements
phodevi: Support reading CPU package power consumption on macOS using powermetrics

Phoronix Test Suite 10.0.1
21 October 2020

pts-core: Fix for older versions of PHP such as in RHEL7
pts-core: Add Thermald version reporting to system table when active
phodevi: Detection improvements for new CPUs
phodevi: Avoid "11th Gen Intel" CPU string
phodevi: Update for NVMe drive reporting with KIOXIA, Toshiba sometimes not reporting their brand first

Phoronix Test Suite 10.0.0
13 October 2020

pts-core: Ensure any post-run script is triggered still under halt-testing/skip-test conditions
pts-core: Allow batch processing of performance per dollar metrics
phodevi: Add Intel AMX presence detection
phodevi: Add detection for Intel Alder Lake, Jasper Lake, Sapphire Rapids, and others
phoromatic: Ensure Windows tests get displayed even if running the Phoromatic Server on Linux
flush_caches: Add module to flush system caches between runs
test_timeout: Add module to quit a test run if it exceeds a predefined time limit or 'auto' determination

Phoronix Test Suite 10.0.0 Milestone 3
1 October 2020

pts-core: Don't show Vulkan options if Vulkan support is known to be unavailable/broken
pts-core: Add OptionSelect tag support within test suite definitions
pts-core: Allow * wildcard match in FileCheck handling within external dependency XML
pts-core: Add "OS" TestType
pts-core: Various external dependency updates
pts-core: Continued tweaking to the analytics engine
phodevi: Add Neoverse N2, Cortex-X1 detection and other Arm CPU updates
pts_Graph: Various improvements

Phoronix Test Suite 10.0.0 Milestone 2
12 September 2020

pts-core: Honor NO_COLOR environment variable for disabling terminal coloring
pts-core: Allow launching just the result viewer from systemd (phoronix-result-server.service)
pts-core: Result viewer UI tweaks
pts-core: Minor fixes
pts-core: Add RequiresRootInstall test profile option
pts-core: Result file text output tweaks
pts-core: More robust test result parsing in certain time formats

Phoronix Test Suite 10.0.0 Milestone 1
19 August 2020

pts-core: Add keep-results-in-result-file sub-command
pts-core: Split the dynamic result viewer into its own embed class for result file handling to allow for easy re-use by OpenBenchmarking, Phoromatic, etc
pts-core: Various changes for supporting the new OpenBenchmarking.org infrastructure
pts_Graph: Add histogram type
phodevi: CPU core name / family detection to friendly strings (OpenBenchmarking.org driven)
phodevi: Report core name via system-info command
phodevi: Various storage HDD/SSD detection reporting improvements
phodevi: Ampere Altra detection
phodevi: macOS/Apple hardware detection improvements

Phoronix Test Suite 9.8.0
9 July 2020

pts-core: Handling of cases where all options are unsupported (such as CUDA and OpenCL tests with no valid backends found) to avoid prompts
pts-core: Be more liberal in allowing CUDA/OpenCL GPU compute tests to run fine without display server active
pts-core: Fix for not filling test suites of contained tests in some select cases (sub-suites listing in results viewer)
pts-core: Allow creating new virtual test suites that are not prefixed by a OB repository
phodevi: NVIDIA GPU detection within WSL2
docker: Rewritten phoronix/pts Docker implementation based on Ubuntu 20.04 LTS

Phoronix Test Suite 9.8.0 Milestone 2
24 June 2020

pts-core: Add client side plumbing for estimated test install time from OpenBenchmarking.org
pts-core: Add estimate-install-time sub-command, show estimated install time when installing a test
pts-core: Improve web browser selection logic for result viewer
pts-core: Add search field to the result viewer areas for limiting based on title/argument matching
pts-core: Various minor fixes
pts-core: Don't show OpenCL test options if no OpenCL drivers/adapters appear present
phodevi: Fix for incorrect monitor count when parsing X.Org log
phodevi: Warning fixes for latest WSL

Phoronix Test Suite 9.8.0 Milestone 1
3 June 2020

pts-core: When an install fails, try a newer minor version update to that test profile if available (fixes broken download mirrors, etc)
pts-core: When a newer minor version of a test profile is installed and a requested (older) one is not, use the newer compatible version
pts-core: Rewrite virtual test suite implementation
pts-core: Add handler for ensuring reported system time is accurate, otherwise calculate current date/time using offsets
pts-core: When scanning test suites on disk, ensure the latest test suite version is used
pts-core: Add test-to-suite-map sub-command
pts-core: Fix for loading the result viewer JavaScript / CSS when running on a Windows host
pts-core: For tests requiring root but not run initially as root and using monitoring data, drop the first run to ensure sudo promot doesn't skew time
pts-core: Fix PHP8 error in the 'info' sub-command
pts-core: Other PHP deprecation code tweaks
phodevi: Add amd_energy Linux driver support

Phoronix Test Suite 9.6.1
25 May 2020

pts-core: Show unit/scale in CSV export
pts-core: When limiting results to show in result viewer, keep child objects that match the desired type for the parent
pts-core: Add rebuild-test-suite option for regenerating suite XML all cleaned up
pts-core: Allow exporting result files to XML test suites via the result viewer
linux_perf: Reporting many more events
pts-core: External dependency updates
pts_Graph: graph code tweaks
phodevi: Avoid macOS reporting X-Core string before Intel CPU string
phodevi: Sway compositor version detection
phodevi: Detection of newer Arm CPU cores

Phoronix Test Suite 9.6.0
21 April 2020

pts-core: Allow building virtual suites off external dependencies
pts-core: Various result viewer improvements
pts-core: Allow saving results under stress-run
pts-core: Responsive/mobile result viewer improvements
pts-core: Show local tests within the build-suite sub-command
pts-core: Show local suites within the list-installed-suites sub-command
pts_Graph: Restore capability for drawing mini graphs for all results in a result file overview

Phoronix Test Suite 9.6.0 Milestone 3
12 April 2020

pts-core: Allow automated per-thread/core/clock/RAM graphs within the result viewer
pts-core: Result viewer add "Limit displaying results to tests within:"
pts-core: From the result viewer allow "Show Geometric Means Per-Suite/Category"
pts-core: Add workload-topology sub-command
pts-core: Allow adding deprecated tests to build-suite
pts-core: CSV export improvements
pts-core: Add "Do Not Show Results With Incomplete Data" to the result viewer
pts-core: Allow test suite "Status" tag
pts-core: Don't report OB updates on deprecated tests or suites

Phoronix Test Suite 9.6.0 Milestone 2
5 April 2020

pts-core: Documentation updates
pts-core: External dependency updates
pts-core: Allow listing test profiles within the result viewer
pts-core: Allow listing test suites and test suite data within the result viewer
pts-core: Allow showing test profile information within the result viewer
pts-core: Various other updates to the result viewer
pts-core: Add vaapi as possible external dependency
update_checker: Add message of the day support

Phoronix Test Suite 9.6.0 Milestone 1
24 March 2020

pts-core: Add new analyze-run-times sub-command
pts-core: Allow hiding results from within the result viewer
pts-core: Allow generating performance-per-dollar metrics from within the result file
pts-core: Allow showing system logs from the result viewer
pts-core: Allow showing test description within the result viewer
pts-core: Fixes for running the result viewer from a website sub directory in correctly loading assets
pts-core: Add result viewer option "hide noisy results"
pts-core: Add result viewer option "hide results with little change/spread"
pts-core: Add result viewer option "only show results where X faster than Y"
pts-core: Add XML export to result viewer export menu
pts-core: Support deleting runs from the result viewer
pts-core: Improve the print view from the result viewer
phodevi: BSD tweaks/fixes

Phoronix Test Suite 9.4.1
4 March 2020

Various minor bug fixes and OpenBenchmarking.org cache update

Phoronix Test Suite 9.4.0-Vestby
25 February 2020

pts-core: Add option in the result viewer to allow compacting multi-option test results into single graphs
pts-core: Add option in the result viewer to allow compacting multi-version test results into single graphs
pts-core: Add Parent tag to result file schema for specifying relation to other result objects
pts-core: Report test profile support errors when intended
pts-core: Fix showing NVIDIA test options on non-Linux NVIDIA platforms
pts-core: Don't show delete/annotation options for dynamically generated result objects where those options are not relevant
pts-core: Allow showing performance-per-suite option within result viewer
pts_Graph: When going to PDF with GD library, just use the OB rather than temporary file
pts_Graph: Restore support for error bars on vertical bar graph rendering
pts_Graph: Support for simpler view / rendering without header/footer

Phoronix Test Suite 9.4.0 Milestone 3
18 February 2020

pts-core: Add PDF bookmarks to result graphs on PDF result file generation
pts-core: Add automated executive summary of result files via executive-summary sub-command and PDF result export
pts-core: Add remove-result-from-result-file sub-command (slightly different from remove-results-from-result-file)
pts-core: Set SaveTestLogs = TRUE by default
pts-core: Set SaveInstallationLogs = TRUE by default
pts-core: Refactor test-logs (SaveTestLogs) handling
pts-core: Refactor test installation logs handling
pts-core: More verbose reporting of system/external dependency solving status
pts-core: Get the modern result viewer working on Windows
pts-core: Support for showing test logs from the result viewer
pts-core: Support for showing install logs from the result viewer
pts-core: PDF output improvements
pts-core: Fix for some suites not showing up on list-suites sub-command
pts-core: Report "Test Suites Containing This Test" in the info sub-command on tests
pts-core: On PDF export allow showing geometric means of tests based on their test suite connections
pts-core: Add intersect sub-command for showing tests common between multiple results/suites

Phoronix Test Suite 9.4.0 Milestone 2
5 February 2020

pts-core: Add config options allowing to modify or delete result files from the result viewer
pts-core: Allow deleting results from the result viewer
pts-core: Allow editing result file information from result viewer
pts-core: Allow deleting results (graphs) from result file in result viewer
pts-core: Add ability to annotate (comment) on result graphs within the result viewer
pts-core: Support converting graphs to PNG/PDF with Inkscape or svg-convert when PHP GD is not installed/enabled
pts-core: Add Persistent Memory disk targets for disk test

Phoronix Test Suite 9.4.0 Milestone 1
13 January 2020

pts-core: Allow test profile test options to expose more helper information strings
pts-core: External dependency updates
pts-core: When a test fails to install due to linker error, try to run that missing library through the external dependency handler to hint at the name
pts-core: When a test fails to install due missing header file, try to run that missing library through the external dependency handler to hint at the name
pts_Graph: Pass/fail graph formatting improvements
phodevi: Convert large RAM capacity basic strings into GB rather than large MB
phodevi: Add support for Linux 5.6+ drivetemp kernel module for ATA drive temperatures

Phoronix Test Suite 9.2.1
11 December 2019

pts-core: Fix for Debian packaging generator
pts-core: FIx for install script that could lead to Phoromatic Server instance not fully launching

Phoronix Test Suite 9.2.0-Hurdal
3 December 2019

pts-core: Fix for sensor-driven result outputs (e.g. power)
pts-core: Clean up precision handling on graphs
pts-core: Add run-subset sub-command
pts-core: Add Clear Linux external dependencies handling for when not relying upon the Clear bundles that include all known dependencies
phodevi: More robust ACPI power_meter handling
phodevi: Support reading the NVMe drive temperature via HWMON on Linux 5.5+
phoromatic: Use the new shared result viewer settings handling in common with the dynamic result viewer

Phoronix Test Suite 9.2.0 Milestone 2
13 November 2019

pts-core: Drop auto-compare sub-command since currently buggy / too server resource intensive
pts-core: Add FORCE_MIN_DURATION_PER_TEST
pts-core: Don't sort geometric mean results when the only difference between result identifiers is numeric in nature
pts-core: Allow preserving the precision of the original workload under test if not overriden by test profile
pts-core: Record and report CPU microcode version in benchmark result file
system_monitor: Allow multiple PERFORMANCE_PER_SENSOR= to be delimited by comma

Phoronix Test Suite 9.2.0 Milestone 1
17 October 2019

pts-core: New possible external dependencies for gflags, clang, uuid, tclsh
pts-core: External dependencies updates for Windows
pts-core: Crash fix for macOS in regression from PTS 9.0.1 launcher change

Phoronix Test Suite 9.0.1-Asker
1 October 2019

pts-core: Fatal error fix for old PHP5 versions (RHEL 7) with pts_openbenchmarking_upload crash
pts-core: Set AllowResultUploadsToOpenBenchmarking = FALSE in enterprise-setup
ob_auto_compare: Show "since [date]" as part of the inline box plot
ob_auto_compare: Various tweaks/styling improvements to the inline box-plot display
phodevi: New cpu.peak-freq sensor for reporting just the highest CPU core frequency at that moment

Phoronix Test Suite 9.0.0-Asker
16 September 2019

pts-core: Add stress-batch-run sub-command for behavior like stress-run but no prompts for test options
pts-core: Allow plotting all individual run results as a line graph
pts-core: Allow showing pie charts of wins/losses of tests
pts-core: Add support for showing "new + updated tests" via the invalid command helper
pts-core: Allow accessing the new result viewer via localhost too rather than just 127.0.0.1
pts_Graph: Restore pie chart support from PTS 6.0 state when dropped

Phoronix Test Suite 9.0.0 Milestone 3
3 September 2019

pts-core: Add AllowResultUploadsToOpenBenchmarking user config option
pts-core: Split OpenBenchmarking.org upload code into pts_openbenchmarking_upload file and allow it to be removed if wanting to strip out upload support
pts-core: Add "ob-cache" local cache of tests/suites to help offline use-cases
pts-core: Add hdf5 to the external dependency list
pts-core: Add libxml2 to the external dependency list

Phoronix Test Suite 9.0.0 Milestone 2
22 August 2019

pts-core: New result viewer improvements
pts-core: Various fixes and code cleanups
phodevi: Add support for cpu.power sensor reading from Linux zenpower driver

Phoronix Test Suite 9.0.0 Milestone 1
25 July 2019

pts-core: Add 'expat' as possible external dependency
pts-core: Various PDF report improvements
pts-core: User-config syntax change LoadModules -> AutoLoadModules
pts-core: Also dynamically increase run count if any results outside 3-sigma limit
pts-core: Add compare-results-two-way sub-command
pts-core: Improve MultiMatch in test result parser
pts-core: Add IGNORE_RUNS environment variable
pts-core: Add result-file-confidence sub-command
pts_Graph: Add side-by-side 2-way comparison graph
pts_Graph: Fix for displaying line graphs with very small values
phodevi: Support reading sys.power via IPMI PS1_Input_Power/PS2_Input_Power
phodevi: More robust Arm CPU model detection improvements
phodevi: Much faster CPU usage reading on large core count systems

Phoronix Test Suite 8.8.1-Hvaler
30 May 2019

pts-core: Various minor tweaks/fixes
phodevi: Fix Linux CPU thread detection in some scenarios where inner-cores may be offlined
phodevi: More robust CPU vulnerability reporting
phodevi: Add initial reporting for Windows vulnerabilities via mdstool-cli

Phoronix Test Suite 8.8.0-Hvaler
13 May 2019

pts-core: Report on the POWER SMT setting in notes
pts-core: Add new/updated suite reporting
pts-core: In build-suite allow not binding test profile versions
pts-core: For list-suites, only show suites that have been updated within the past four years
pts_Graph: Report N on horizontal bar graphs
phodevi: Intel Node Manager power_meter support for sys.power sensor

Phoronix Test Suite 8.8.0 Milestone 3
9 May 2019

pts-core: Add experimental dynamic-result-viewer
pts-core: Allow marking of test profile download files as optional
pts-core: Add "everything" virtual suite
pts-core: Set MESA_VK_WSI_PRESENT_MODE=immediate by default to work around possible 60 FPS RADV bug
pts-core: Rename remove-from-result-file to remove-run-from-result-file
pts-core: Add remove-results-from-result-file sub-command
phodevi: Detect AVX-512 VNNI
phodevi: Fix OpenJDK Java version detection
phodevi: Expand memory temperature sensor to work for some ARM SBCs
phodevi: Multi-monitor detection improvements
phodevi: Add support for gpu.memory-usage sensor with new AMDGPU mem_busy_percent sysfs interface
system_monitor: Add PERFORMANCE_PER_SENSOR= support for performance-per-(arbitrary sensor) rather than just supporting perf-per-Watt
ob_auto_compare: Show other results in result file on box plot

Phoronix Test Suite 8.8.0 Milestone 2
27 March 2019

pts-core: On new installs set 3.00% as deviation for increasing dynamic run count rather than 3.50%
pts-core: Add FORCE_MIN_TIMES_TO_RUN_CUTOFF= environment variable to toggle cutoff for FORCE_MIN_TIMES_TO_RUN behavior
pts-core: Add FORCE_TIMES_TO_RUN_MULTIPLE
pts-core: Add strict-benchmark option for enabling various options to ensure stricter behavior about the number of times to run each benchmark
pts-core: Add cpu-physical-threads / cpu-threads / auto-executable auto test run options
phodevi: CPU-therm reporting via sysfs for CPU core temp
phodevi: GPU-therm reporting via sysfs for GPU core temp

Phoronix Test Suite 8.8.0 Milestone 1
16 March 2019

pts-core: Allow FORCE_TIMES_TO_RUN to override debug-run/debug-benchmark single run behavior
pts-core: Various fallbacks/workarounds for those wanting to (unofficially) use PTS on Windows 8.1
pts-core: Other small tweaks and optimizations
pts-core: Fixes an odd scenario where on Windows after 2 runs, further runs of that test profile for current run could fail in select (random) instances
pts-core: Write out system notes for each system when generating PDF result output
pts-core: CSV output improvements
pts-core: Add result-file-raw-to-csv for dumping the raw/individual benchmark result run data
pts_Graph: Condensing improvements for large graphs
pts_Graph: Various formatting improvements
phodevi: Intel GPU reporting improvements
phodevi: BIOS version reporting support extended to Windows
phodevi: ipmitool DMCI power sensor reporting for at least some POWER servers

Phoronix Test Suite 8.6.1-Spydeberg
21 February 2019

pts-core: Dynamically honoring the CLI terminal width (no longer cache the value on Linux/BSD/macOS)
pts-core: BSD external dependency updates
ob_auto_compare: Minor formatting updates

Phoronix Test Suite 8.6.0-Spydeberg
5 February 2019

pts-core: Other small tweaks and fixes
pts-core: Fix for "/installed" virtual suite not including the proprietary/commercial tests that are installed
ob_auto_compare: Allow showing more results in the embedded percentile graphs

Phoronix Test Suite 8.6.0 Milestone 3
27 January 2019

pts-core: Better handling on Windows when there are space(s) in the paths
pts-core: Add __event_post_run_stats module hook
pts-core: Inline display of result distributions from OpenBenchmarking.org on applicable results
pts-core: Don't try to run tests from result file(s) or suite(s) that were not installed
pts-core: More accurate time reporting when result files are passed to `phoronix-test-suite estimate-run-time`
phodevi: Better reporting of NVMe drive strings on BSDs

Phoronix Test Suite 8.6.0 Milestone 2
19 January 2019

pts-core: Update Mac OS X to macOS references
pts-core: Add result-file-stats sub-command to show more test result statistics
pts-core: Show geometric mean and harmonic mean data at end of benchmarking process when relevant as part of post-run stats
pts-core: Improved formatting of file download text user interface for downloading of dependencies on Microsoft Windows
pts-core: Fix Loop 'Test i of n' Reporting
pts-core: A few warning fixes for PHP 7.3+
pts-core: External dependency handling support for OpenMandriva Lx 4.0 (transitioned from urpmi to DNF)
phodevi: Report Windows Subsystem for Linux (WSL) to the system layer string

Phoronix Test Suite 8.6.0 Milestone 1
7 January 2019

pts-core: No longer clear test profile identifiers on secondary saved results
pts-core: Add compare-results-to-baseline sub-command for comparing one result file (baseline) against a set of results for text look at relative perf
pts-core: Minor fixes
pts-core: Show wins and losses summary after testing on large result files
pts-core: On two-way result files, after test completion show comparison of current result against previous result (baseline)
pts-core: Add ShowPostRunStatistics user configuration XML option to toggle whether various test statistics are printed at the end of testing
pts-core: Add recently-added-tests sub-command to show newly added test profiles / alternative to openbenchmarking-changes/recently-updated-tests
pts-core: Allow outputting line graphs to terminal interface as basic box plot graphs
phodevi: Improve Linux multiple network device reporting
phodevi: LXQt desktop version reporting
phodevi: Update for Microsoft Windows Server 2019
system_monitor: Allow outputting system monitor graphs to terminal interface inline

Phoronix Test Suite 8.4.1-Skiptvet
9 December 2018

pts-core: Workaround for RHEL 7.6 PHP having buggy CURL that is causing seg faults
pts-core: Ensure "." doesn't get set in PATH when launching phoronix-test-suite
pts-core: Allow PRESET_OPTIONS env var to be used when in batch mode
pts-core: FreeBSD updates
pts-core: Add PRESET_OPTIONS_VALUES environment variable that is similar to PRESET_OPTIONS but for explicit values
phodevi: Improved Radeon AMDGPU frequency detection/reporting
phodevi: Add support for reading GPU usage sensor with AMDGPU gpu_busy_percent sysfs interface
phodevi: Updated gpu_voltage sensor for AMDGPU driver
phodevi: Updated gpu_power sensor for AMDGPU driver
phodevi: Updated gpu_fanspeed sensor for AMDGPU driver
phodevi: Updated gpu_freq sensor for AMDGPU driver
phodevi: Improved physical CPU core detection on DragonFlyBSD 5.4
phodevi: Improved Spectre detection on DragonFlyBSD 5.4
phodevi: Allow using NUM_CPU_CORES to override the number of exposed CPU threads/cores to tests (alternative to PTS_NPROC / NUMBER_OF_PROCESSORS)
phodevi: Improved multi-disk reporting for non-Linux operating systems
phodevi: Minor GPU string reporting improvement

Phoronix Test Suite 8.4.0-Skiptvet
26 November 2018

phodevi: Various minor tweaks

Phoronix Test Suite 8.4.0 Milestone 3
20 November 2018

pts-core: Various external dependency updates
pts-core: Expose NUM_CPU_PHYSICAL_CORES to test profiles as alternative to NUM_CPU_CORES (logical count)
pts-core: Fix possible situation of openbenchmarking-refresh not updating when IndexCacheTTL is set to 0
pts-core: Allow branded colors to work in the terminal/CLI text graphs
pts-core: Continued POWER9 support improvements
pts-core: Add RemoveInstallDirectoryOnReinstall to toggle test re-installation behavior
pts_Graph: Fix for sometimes tick marker text overlapping
phodevi: Improved physical CPU core detection for architectures like POWER
phodevi: Improved CPU cache size detection

Phoronix Test Suite 8.4.0 Milestone 2
5 November 2018

pts-core: Allow passing PTS environment variables as arguments to PTS and then just have PTS set them in the environment
pts-core: Add dry-run test option
pts-core: Various result parser additions to help parsing of CSV frame-time data for more test profiles (games)
phodevi: Vulkan driver reporting fix

Phoronix Test Suite 8.4.0 Milestone 1
8 October 2018

phodevi: Report vRAM size on GPU model string in GB when over 1GB
pts-core: At run-time also report if test is deprecated/broken
pts-core: Add "node-npm" as an external dependency for Node.js + NPM
phodevi: Drop information reporting support for the long ago Catalyst/fglrx driver stack that hasn't been supported/maintained in many years

Phoronix Test Suite 8.2.0-Rakkestad
11 September 2018

pts-core: Add RequiresDisplay test profile property to indicate if the test profile explicitly requires a monitor / display server to work
pts-core: Add RequiresNetwork test profile property to indicate if the test profile needs a working network connection
pts-core: Add RequiresInternet test profile property to indicate if the test profile needs a working Internet connection
pts-core: Don't install tests where the current run-time checks will fail
phodevi: Improve CPU thread count detection when running under LXC
phodevi: More robust DMI decode ignore value handling
phodevi: Add extra fallback detection for LXC in system-layer

Phoronix Test Suite 8.2.0 Milestone 4
7 September 2018

pts-core: Fix behavior of "Would you like to stop and install these tests now"
pts-core: Add reinstall / re-install aliases to force-install
ob_auto_compare: Default first to trying to do an automated local result comparison
phodevi: Amlogic SoC detection based on meson_cpufreq driver
phodevi: Rockchip SoC fallback detection
phodevi: Embedded ARM Cortex / ARM part model detection
phodevi: Expanded sensor coverage using Intel RAPL

Phoronix Test Suite 8.2.0 Milestone 3
22 August 2018

pts-core: Minor updates to logic for determining how many times to dynamically increase run count on high variance results
pts-core: Show deprecated tests too when running list-all-tests
pts-core: Add DropNoisyResults option if wishing to not save results that have too high of deviation between runs
pts-core: Add PTS_DOWNLOAD_CACHE_OVERRIDE environment variable option on make-download-cache
pts-core: Add PTS_USER_PATH_OVERRIDE environment variable to override PTS_USER_PATH on initialization
pts-core: Add PTS_DOWNLOAD_CACHING_PLATFORM_LIMIT environment variable for make-download-cache
pts-core: Add list-cached-tests option

Phoronix Test Suite 8.2.0 Milestone 2
15 August 2018

pts-core: Add DivideResultDivisor to result parser
pts-core: Add libevent as possible external dependency
pts-core: Alert the user when the test install directory is on a file-system mounted with 'noexec'
pts-core: Optional support with PHP 7.3+ to also obtain network info using net_get_interfaces()
pts-core: Fix possible alignment issue with value/spacer on outputting text-based result graphs
pts-core: When Internet is not available and running list-tests, only show tests that are available via caches unless `list-all-tests` is run
pts-core: Rework `list-recommended-tests` to make use of download count information exposed via OB index repository data rather than needing to make fresh web query
pts-core: Show "popular tests" in the invalid command helper
pts-core: Allow stress-run to be triggered from interactive mode
pts-core: Allow comparing dynamic in-line result comparisons against local results when no Internet results matching or Internet not available
phodevi: Reporting of L1TF / Level 1 Terminal Fault vulnerability
pts_Graph: Tweaks to text sizing on vertical bar graphs

Phoronix Test Suite 8.2.0 Milestone 1
21 July 2018

pts-core: Add readline-based autocompletion support for text-based menu selection lists
pts-core: Add readline-based autocompletion support for the result file save name for trying to match existing result file identifiers
pts-core: Add autocompletion support for result file identifier based on installed software/hardware
pts-core: Various Alpine Linux external dependency updates
pts-core: Various improvements to the Shell sub-command functionality, including auto-completion support
phoromatic: From rootadmin allow the rootadmin to override/reset a user account password
phodevi: Windows battery reporting discharge rate support
phodevi: Improved multi CPU socket reporting on Windows
phodevi: Various hardware/software detection improvements when running within Docker/containers
pgo: New module to provide for automated compiler PGO (Profile Guided Optimizations) testing on GCC/Clang

Phoronix Test Suite 8.0.1-Aremark
26 June 2018

pts-core: Add "wine" external dependency support
pts-core: Fix skip-test behavior
pts-core: Web browser handling improvements on Windows, other Windows updates
phoromatic: Various minor fixes and enhancements
phodevi: Add USE_WINE environment variable check, point it towards the wine binary you wish to test

Phoronix Test Suite 8.0.0-Aremark
5 June 2018

pts-core: Various macOS support tweaks/improvements
pts-core: Add external dependency support for Brew macOS package manager
pts-core: Avoid duplicate test identifiers on graphs
phodevi: Improved X.Org Server version detection

Phoronix Test Suite 8.0.0 Milestone 5
30 May 2018

pts-core: Termux external dependency support
pts-core: Other minor tweaks and changes
phoromatic: Better handling when the Phoromatic Server is run without an Internet connection or Internet disabled
phoromatic: A wide variety of other Phoromatic Server optimizations and improvements
phodevi: Add spec_store_bypass / Spectre Variant 4 reporting

Phoronix Test Suite 8.0.0 Milestone 4
16 May 2018

phoromatic: Add a "email all users" option to the rootadmin page
phoromatic: Improve search functionality on results page, allow boolean expressions, date ranges, many other search features
phoromatic: Various search improvements to `phoronix-test-suite search`
phoromatic: Allow new test profiles to be created from Phoromatic web UI
pts-core: New create-test-profile sub-command for guided process to test profile creation
pts-core: Basic changes, should be all that's needed for EU GDPR safeguards
phodevi: RISC-V SiFive CPU detection

Phoronix Test Suite 8.0.0 Milestone 3
16 April 2018

pts-core: Improvements for BSD / FreeBSD support
pts-core: Add "V8" external dependency for V8 JavaScript engine
pts-core: Add initial AdvertiseServiceOpenBenchmarkRelay support
pts-core: Add new inspect-test-profile sub-command
pts-core: Add ColoredConsole option in user configuration file of AUTO / TRUE / FALSE to control colored text behavior
pts-core: Report each test's run-time to test-rin-times in result file XML
pts-core: More XSD / OpenBenchmarking.org schema handling work for future functionality
phoromatic: Ensure environment variables set via Phoromatic web interface get passed to tests
phodevi: BSD improvements
backup: A module providing initial backup/restore functionality for PTS/Phoromatic

Phoronix Test Suite 8.0.0 Milestone 2
24 March 2018

pts-core: Add DeleteOutputBefore and DeleteOutputAfter options to the result parser
pts-core: Fix for run-random-tests sub-command
pts-core: Native XML result parsing support via FileFormat = XML in the result parser for test profiles
pts-core: Add openbenchmarking-uploads sub-command for reporting recent result uploads from the local IP
phodevi: reboot/shutdown support on Windows

Phoronix Test Suite 8.0.0 Milestone 1
8 March 2018

pts-core: Rewritten Windows support
pts-core: Add ~/install-message support where if a test profile installer writes there, that message will in turn be shown to the user on test install
pts-core: Support for using Cygwin's bash interpreter on Windows systems for better test profile parsing support
pts-core: When running on Windows, add new "windows/" OpenBenchmarking.org test repository
pts-core: Introduce basic phoronix-test-suite shell for easier PTS experience
pts-core: Allow XInclude support for test suites
perf_per_dollar: Allow calculating cloud costs / perf-per via COST_PERF_PER_HOUR= environment variable
phodevi: Cavium ThunderX detection

Phoronix Test Suite 7.8.0-Folldal
14 February 2018

pts-core: Various minor fixes
pts_Graph: Fix vertical bar graphs on many bars to be rendered

Phoronix Test Suite 7.8.0 Milestone 3
5 February 2018

pts-core: Fix crash in stress-run when PHP PCNTL is missing
pts-core: When installing a test that is marked deprecated/experimental/broken, ensure to convey that to the user
pts-core: When installing a test that is of license retail/restricted, ensure to convey that to the user
pts-core: Don't show tests in `list-available-tests` / `list-tests` that are not verified
pts-core: Improvements to `info` sub-command for test profiles in highlighting tests that may have problems and also show pre/post messages
pts_Graph: Fix when manually forcing line graphs sometimes still yielding bar graphs
phodevi: spectre_v1 and spectre_v2 protection reporting
phodevi: LXQt desktop detection
phodevi: Don't cache the compiler in case external dependencies install a new compiler, etc

Phoronix Test Suite 7.8.0 Milestone 2
14 January 2018

pts-core: Allow local/other tests not part of OpenBenchmarking.org to be downloaded from a Phoromatic Server
pts-core: Fixes for make-download-cache sometimes not caching tests/suites
pts-core: Drop the pts_test_notes_manager since pts_test_run_manager already had better capabilities built-in
pts-core: Add dump-phodevi-properties helper to assist in debugging and porting to new platforms
pts-core: Interactive mode improvements
pts-core: The `phoronix-test-suite gui` has been unmaintained and can be considered deprecated
pts-core: Add `phoronix-test-suite search` for conducting basic searches from the CLI
pts-core: When running `phoronix-test-suite info <test profile>`, show the OpenBenchmarking.org change-log for that test profile too
pts-core: When running `phoronix-test-suite info <test profile>`, show local test results containing this test
phodevi: Append BIOS version to end of motherboard string
phodevi: Strip invalid chars from BIOS version parsing
phodevi: Reworked property handling
phodevi: KDE Plasma 5 detection improvements
pts_Graph: Add allow_box_plots graph configuration tunable
pts_Graph: Restore support for allowing vertical bar graphs, can be enabled by editing graph-config.json with bar_graphs_horizontal = false

Phoronix Test Suite 7.8.0 Milestone 1
8 January 2018

pts-core: Add meson to external dependencies
pts-core: Other external dependency updates
pts-core: Various minor improvements when running on Docker/containerized
pts-core: Phoroscript interpreter improvements for Windows
pts-core: Allow PTS_WEBSOCKET_PORT environment variable to be used to override WebSocket port when launching Phoromatic Server
phodevi: Add some missing handling around /dev/vd* disks
phodevi: Add BIOS version reporting property

Phoronix Test Suite 7.6.0-Alvdal
7 December 2017

pts-core: Just minor changes

Phoronix Test Suite 7.6.0 Milestone 4
3 December 2017

pts-core: Gentoo external dependency handling updates
pts-core: Better external dependency handling when running on EC2 instances
phodevi: Add new gpu.memory-usage sensor initially supported on NVIDIA

Phoronix Test Suite 7.6.0 Milestone 3
21 November 2017

pts-core: Provide some basic graph size/count reporting on refresh-graphs sub-command
pts-core: make script shebang more portable
pts-core: Various styling updates
pts-core: More demanding debug-self-test
pts-core: Update Fedora's Python packages
pts_Graph: Turn line graphs to horizontal box plots if too much data to graph in space
phodevi: physical CPU core detection count on macOS
phodevi: GPU power consumption sensor support via nvidia-smi
phodevi: NVMe drive temperature reporting on Linux
phodevi: Better memory model detection on Linux

Phoronix Test Suite 7.6.0 Milestone 2
2 November 2017

pts-core: Add LEDE external dependency handling support
pts-core: Drop ports-based external dependency handling for FreeBSD and instead encourage pkg
pts-core: Network MAC address detection on OpenBSD
phoronix-test-suite: Check for php-cli as binary option
phodevi: Motherboard detection support on BSD using smbios.planar.product
phodevi: hw.cpu_topology_core_ids support for physical core count on BSD
phodevi: Allow BSD GPU detection via pciconf data
phodevi: BSD chipset detection
phodevi: VT EFIFB resolution detection

Phoronix Test Suite 7.6.0 Milestone 1
10 October 2017

pts-core: Add external dependency handling for MidnightBSD / mport
pts-core: Improved handling of IP/MAC detection to try to figure out the default interface
pts-core: Wake-On-LAN handling detection improvements
phoromatic: Try using systemctl poweroff first when trying to turn off a system
phodevi: Add memory.temp sensor
phodevi: Fixed k10temp CPU temperature reporting
phodevi: Add IPMI ambient temperature support
phodevi: Some CPU/GPU temperature reporting improvements
phodevi: Ignore reporting 'MS-DOS FAT32' EFI file-system on macOS
phodevi: Add Bcache reporting support
phodevi: Add APFS Apple File-System detection on macOS
phodevi: Tweaks for macOS High Sierra
phodevi: Restructure CPU core/thread reporting in system tables
perf_per_dollar: Add "phoronix-test-suite perf_per_dollar.add <result file>" to allow perf-per-dollar graphs to be added after the fact

Phoronix Test Suite 7.4.0-Tynset
19 September 2017

pts-core: Improve command documentation categories/organization
pts-core: Fix install time reporting from the info sub-command when passing a test profile
pts-core: Add network-info sub-command
pts-core: Java external dependency updates
pts-core: Add maven external dependency
phodevi: NVMe disk reporting on BSDs
pts_Graph: Allow line graphs to have adjustable floor/bottom to better present data on graph

Phoronix Test Suite 7.4.0 Milestone 4
11 September 2017

pts-core: Report on updated OpenBenchmarking.org index update when new/updated tests are introduced
pts-core: Add TEST_EXEC_PREPEND support
pts-core: Ensure XAUTHORITY gets passed if relevant to test execution
pts-core: Fixed dynamic dependency handling on Ubuntu 17.10 / apt-file with newer versions
pts-core: Fix warning about passing variables by ref to PTS modules
pts-core: Add nasm external dependency entries
pts-core: Ensure duplicate dependencies to install don't become present
phodevi: Add basic Budgie desktop reporting
phodevi: IPMI fan speed reporting
phodevi: EPYC detection
toggle_screensaver: improved GNOME screensaver handling
toggle_screensaver: work better under Wayland / non-X environments where display server might not be detected

Phoronix Test Suite 7.4.0 Milestone 3
28 August 2017

pts-core: Reworked test exit status handling
ob_auto_compare: New module for seamless OpenBenchmarking.org result references
graphics_event_checker: Drop graphics_event_checker module as really provides no real benefit these days
phodevi: Improve CPU physical core count detection for multi-socket systems

Phoronix Test Suite 7.4.0 Milestone 2
15 August 2017

pts-core: Resolve possibility of first graph missing when exporting results as PDF
phodevi: WSLFS (Windows Subsystem for Linux) file-system detection
phodevi: Add monitor detection based on parsing EDID supplied by `xrandr --prop` (works well for newer NVIDIA setups)
phodevi: Initial "system type" support

Phoronix Test Suite 7.4.0 Milestone 1
31 July 2017

pts-core: Don't show PTS version when there is no sub-title, just leave it empty
pts-core: Add phoronix-test-suite unload-module sub-command
pts-core: Add phoronix-test-suite auto-load-module sub-command
pts-core: Drop juju scripts as appears unmaintained, happy to re-add if maintained
pts-core: Allow showing existing results from a result file in-progress on test runs
pts_Graph: Color tweaking
phodevi: Clear up extra potential fluff in the GPU model string
perf_tips: New module to indicate various performance tips to users

Phoronix Test Suite 7.2.1-Trysil
30 June 2017

pts-core: Don't pass arguments in quotes to pre/interim/post test scripts
pts-core: Minor optimization to is_test_profile() and more easily allow explicit paths to be used, overriding what's in OB cache
pts-core: Minor optimization to is_suite() and more easily allow explicit paths to be used, overriding what's in OB cache
pts-core: Fix warning in pts_test_result_parser
phodevi: AVX-512 reporting

Phoronix Test Suite 7.2.0-Trysil
8 June 2017

pts-core: Add TurnCharsToSpace support to result parser
pts_Graph: Fix multi-way comparison detection

Phoronix Test Suite 7.2.0 Milestone 4
3 June 2017

pts-core: If a OB upload fails with system logs, try again without system logs
pts-core: Add basic dump-tests-to-git sub-command
pts-core: Add basic dump-suites-to-git sub-command
pts-core: Result parser fixes/improvements
pts-core: Additional safety checks around loading test result arguments from a result file
pts-core: Add "vulkan-development" external dependency
pts_Graph: Few tweaks/clean-ups
pts_Graph: Allow optionally specifying custom colors via the GRAPH_HIGHLIGHT environment variable
phoromatic: Introduce support for setting a run-priority on test schedules

Phoronix Test Suite 7.2.0 Milestone 3
26 May 2017

pts-core: Result parser fixes for some advanced corner cases
pts-core: Add dump-file-info helper
phodevi: Fallback for being able to read I/O scheduler on NVMe device on Linux
phodevi: Monitor *DEBUG* environment variables
pts_Graph: Key alignment spacing fix
pts_Graph: Don't allow duplicate identifiers
pts_Graph: Various other alignment tweaks
phoromatic: Handling for non-PCNTL support in Phoromatic client

Phoronix Test Suite 7.2.0 Milestone 2
4 May 2017

pts-core: Add SKIP_TESTS_HAVING_ARGS environment variable
pts-core: Parser improvements
perf_per_dollar: Allow custom units, report on LIB graphs too
phodevi: Add PGI compiler detection

Phoronix Test Suite 7.2.0 Milestone 1
14 April 2017

pts-core: Result parser improvements
pts-core: Add AppendToArgumentsDescription option to result parser capabilities
system_monitor: Fix for when individual monitoring is disabled
phodevi: Fix for listing dual 4K displays and other select multi-monitor configurations

Phoronix Test Suite 7.0.1
28 March 2017

pts-core: Support for network proxies with username/password requirement
pts-core: Improve formatting of text in 'info' sub-command
phodevi: Improved detection for Quill AArch64 board and possibly other boards
phodevi: Various sensor detection improvements for the Jetson TX2
phodevi: Add fallback detection for ARM Mali
report_test_run_times: Add INSTALL_TIMES_ARE_A_BENCHMARK=1 option for generating install time graphs
report_test_run_times: Add INSTALL_SIZES_ARE_A_BENCHMARK=1 option for generating install size graphs

Phoronix Test Suite 7.0.0-Ringsaker
6 March 2017

pts-core: Make the AppStream meta data happy
pts-core: Improve formatting of PDF generation on large result files
phodevi: Expand GCC version detection when -dumpversion isn't supported (e.g. gcc-snapshot of gcc 7.0.1)

Phoronix Test Suite 7.0.0 Milestone 5
28 February 2017

pts-core: Allow bzip2 compression of result file uploads to OpenBenchmarking.org
pts-core: Only preserve the original raw result string if it differs from the final result
pts-core: Show results in text mode when show-result sub-command is run without DISPLAY
report_test_run_times: new module to report test run times as result graphs

Phoronix Test Suite 7.0.0 Milestone 4
16 February 2017

pts-core: stress-run styling improvements
pts-core: External dependency XML updates
phodevi: Continued tweaking on the new system information view
phodevi: Append LLVM version to OpenGL driver string where relevant
pts_Graph: Continued tweaking of graph UI
pts_Graph: Allow more compact multi-way comparison graphs
pts_Graph: Various SVG size/efficiency optimizations

Phoronix Test Suite 7.0.0 Milestone 3
7 February 2017

pts-core: Add winners-and-losers sub-command for providing some first/last place finish stats
pts-core: Don't pass files greater than ~50MB to the result parser as likely too big to parse and invalid data like lots of warnings/errors from test
pts-core: Restructured test result parser
pts-core: Dropping of some deprecated checks
pts-core: Add ArgumentsDescription to the results-parser schema for appending a string to the used arguments description string on test execution
pts-core: Add the result-scale to the test profile comparison_hash (NOTE: any external data stores making use of the comparison_hash should thus rebuild their hash indexes)
pts-core: Allow one test run to generate multiple result outputs (graphs, etc) from multiple result-definition entries
pts-core: Drop secondary_linked_results handling now that all tests can create multiple result outputs natively, use that code path
pts-core: Add debug-result-parser sub-command as a way to debug test profile result-parser defintions, just scan for old test log files and don't actually execute test
pts-core: Restore setting the OpenBenchmarking.org ID to the ReferenceID field in the result file when cloning from OpenBenchmarking.org
pts-core: Various console coloring improvements

Phoronix Test Suite 7.0.0 Milestone 2
23 January 2017

pts-core: Indicate HIB/LIB result proportion when dumping results as CSV
pts-core: Introduce new view of system software/hardware details on test run and system-info command
pts-core: Drop detailed-system-info sub-command now that system-info is more verbose
pts-core: Eliminate pts_test_downloads_nye_XmlReader
pts-core: Eliminate pts_parse_results_nye_XmlReader abstraction
pts-core: A lot of cleanups / reworking of XML parsing in various components
pts-core: Cleanup phoronix-test-suite list-test-usage
phodevi: Fix for hanging Windows client when requesting disk mount options
phodevi: Don't rely upon X.Org DDX driver logic for determining GPU frequency since it's not portable to Wayland or with -modesetting DDX
phodevi: Add microcode version reporting on Linux

Phoronix Test Suite 7.0.0 Milestone 1
12 January 2017

pts-core: Add estimate-run-time sub-command for estimating test/suite/result-file run length
pts-core: More external dependency coverage for BSDs
pts-core: Cleanup PTS_USER_LOCK / run-lock handling
pts_Graph: Add "Ryzen" product string to AMD's coloring
pts_Graph: Add "Pentium" product string to Intel's coloring
pts_Graph: Add option to disable color branding
phoromatic: Set by default for SQLite database WAL journal mode / NORMAL synchronous
phoromatic: Report status updates more often

Phoronix Test Suite 6.8.0-Tana
6 December 2016

phoromatic: allow clearing warnings/errors of a system from the systems page
phodevi: Rearrange ATI/AMD graphics checks

Phoronix Test Suite 6.8.0 Milestone 3
28 November 2016

pts-core: Ubuntu external dependency script fix
phodevi: Improved video RAM detection via GLX_MESA_query_renderer
phodevi: GPU detection improvements
phodevi: vRAM detection change to help AMDGPU-PRO
phodevi: Other product/model string improvements

Phoronix Test Suite 6.8.0 Milestone 2
15 November 2016

pts-core: Add new remove_inactive_systems option on systems page
pts-core: Fix malforming graphs when feeding many line graph results that are in a tracking-like manner that should be compacted to box plot
pts-core: Add PHP GD check as first thing when attempting to use result-file-to-pdf
pts-core: Add new module hooks for __test_log_output() and __post_test_run_system_logs()
phodevi: Don't load Phodevi sensors prior to PHP 5.3 due to compatibility issues
log_exporter: Allow easily exporting test run and system logs via COPY_TEST_RUN_LOGS_TO and COPY_SYSTEM_LOGS_TO env vars
flamegrapher: Experimental new module to generate Linux perf / FlameGraph graphs for each test being executed when active
results_custom_export: Example module for dumping PTS test results in custom formats
pts_Graph: Add Intel color highlighting for "Celeron" too

Phoronix Test Suite 6.8.0 Milestone 1
27 October 2016

pts-core: Add PHOROMATIC_HTTP_PORT environment variable for overriding Phoromatic Server HTTP port on starting it
pts-core: Don't preserve really large system logs (~1MB or greater per file)
pts-core: Strip http/https from proxy address if needed
pts-core: Update Solus external dependency handling
pts-core: Proper handling for when PHP ctype functions are not present
phodevi: Also look for Vulkan ICDs at /usr/share/vulkan/icd.d/*.json

Phoronix Test Suite 6.6.1
29 September 2016

pts-core: Various BSD improvements
pts-core: Add list-not-installed-tests command (alias: list-uninstalled-tests)
pts-core: Detection for qupzilla browser when no alternative exists
pts-core: Add "phoronix-test-suite php-conf" sub-command to dump more useful PHP information for debugging
pts-core: Add python-scipy and python-sklearn external dependencies
phodevi: Support for reporting memory frequency when overclocked if reported via "Configured Clock Speed" in dmidecode for RAM

Phoronix Test Suite 6.6.0-Loppa
6 September 2016

pts_Graph: On multi-way comparisons, always condense line graphs to modified box plots

Phoronix Test Suite 6.6.0 Milestone 3
26 August 2016

pts-core: Add OpenMandriva/urpmi PHP dependency helper to launcher
pts-core: After running tests, if no browser/display is available, offer to show results via CLI graph/text rendering
pts-core: Add a SVG DOM HTML back-end for lowering common SVG into pure HTML for cases like email clients where no SVG is supported
html_results_export: New module exposed via EXPORT_RESULTS_HTML_EMAIL_TO and EXPORT_RESULTS_HTML_FILE_TO env vars for exporting HTML results
pts_Graph: When highlighting graph values, darken the color rather than use static color

Phoronix Test Suite 6.6.0 Milestone 2
7 August 2016

deploy: Update Debian packaging script
pts-core: Fix for upload-test-suite (on OpenBenchmarking.org side too)
pts-core: Show local suites in list-suites
pts-core: Ensure DragonFlyBSD pkg installation is done automatically
pts-core: Restructure bash on windows check
pts-core: Initial work on CLI terminal colored text output
phoromatic: Web UI styling improvements
phodevi: Show mdstat RAID Details when available
pts_Graph: Show extra disk details on system graph

Phoronix Test Suite 6.6.0 Milestone 1
6 July 2016

pts-core: Add OpenCV to external dependencies list
pts-core: Disable test cache share when run in stress-run mode
phoromatic: Allow custom versions to be manually specified on test suite web UI page
pts_Graph: Show min/max results on multi-way comparisons
pts_Graph: Color string tweaks
phodevi: Fix to allow GPU temperature sensor to work with AMDGPU-PRO driver stack

Phoronix Test Suite 6.4.0-Hasvik
2 June 2016

[Only minor changes since 6.4 M4]

Phoronix Test Suite 6.4.0 Milestone 4
31 May 2016

pts-core: Automatically add used extra OpenBenchmarking.org repositories to the linked list
pts-core: Don't load empty tests on finish-run command
pts-core: Add perl-digest-md5 to external dependencies list
pts-core: Prevent duplicate tests/setting combinations from entering the same test run manager queue
pts-core: Fix for IE not scaling SVGs in the results viewer
pts-core: Finish new pts_test_suite API, port build-suite to it
phoromatic: Support editing and deleting tests in local suites from the Phoromatic Server UI
phodevi: More detection improvements for NVMe devices on Linux

Phoronix Test Suite 6.4.0 Milestone 3
26 May 2016

pts-core: XML formatting fix for non-OpenBenchmarking.org deployments
pts-core: Do more to avoid zombie processes in stress-run manager
pts-core: More robustness of the results parser with spaces (or lack of) near colons
pts-core: Rewritten pts_test_suite internals
phodevi: Support for reading AMDGPU OverDrive overclock offset
phoromatic: Add generalized "Testing" page to Phoromatic Server
watchdog: new PTS module for checking sensor readings to suspend/quit testing if exceeded

Phoronix Test Suite 6.4.0 Milestone 2
6 May 2016

pts-core: Allow XML formatting from the Phoromatic Server web interface
pts-core: Reformat stress-run log messages
pts-core: Add "redis-server" as a potential external dependency for providing Redis
pts-core: Statically set dynamic_run_count_on_length_or_less to 60
pts-core: Adaptively increase regression threshold level in points_of_possible_interest() when too many results are being flagged
phoromatic: Fix selecting the same test itself on the "build suite" page
phoromatic: Do hard deletes when deleting results from admin area or results page
phoromatic: Add basic support for deleting "local suites" from Phoromatic web UI
phoromatic: Allow exporting system test run/build errors to the exported public results viewer
phoromatic: Add PTS_NO_REBOOT_ON_NETWORK_FAILURE environment variable for clients where if network failure occurs, Phoromatic clients will not reboot
phodevi: Add ambient.temp sensor for reporting ambient temperature, currently supports temperv14 USB sensors

Phoronix Test Suite 6.4.0 Milestone 1
25 April 2016

pts-core: Many improvements to stress-run functionality
pts-core: Add Midori to supported browser list
pts-core: Add default logging support while running stress-run using phoronix-test-suite-stress.log filename
pts-core: Additional fallback for locating if running PTS as a user from their home directory
pts-core: Append date to phoronix-test-suite-stress-XXX.log when running stress-run
phoromatic: Initial server-side implementation of new stress-run support via Phoromatic Server when going to "Run A Benchmark" and opting for stress mode
phoromatic: Initial client-side implementation of new stress-run support
phoromatic: Add basic email notification support to the Phoromatic export results viewer
phoromatic: Say "Stress Testing - XXX" as Phoromatic status messages when in stress-run mode
phoromatic: Add links to schedules/tickets from dashboard and system pages for active schedule/ticket on that system at the moment
phoromatic: Fix for handling post-run event script
phoromatic: Only run tests once each time called upon in stress-run mode
phoromatic: Show systems in groups on benchmark ticketing page
phoromatic: Don't reset fields when building suite and adding additional tests

Phoronix Test Suite 6.2.2
9 March 2016

pts-core: Fix for crash in stress-run mode
pts-core: Add OpenSUSE dynamic reverse dependency handler
pts-core: For the new result viewer, add Epiphany to the web browser list
pts-core: Void Linux external dependency support
pts-core: Alpine Linux (APK) external dependency support
phoromatic: Don't use a proxy (if available) when trying to connect from Phoromatic client to server

Phoronix Test Suite 6.2.1
23 February 2016

phodevi: Extra Vulkan information reporting
phodevi: Add OpenCL version reporting to system software string
perf_per_dollar: Fix for uninitialized test_result object

Phoronix Test Suite 6.2-Gamvik
16 February 2016

pts_Graph: Fixes
pts_Graph: Support for branded colors on more graphs
phodevi: plumbing Vulkan
matisk: Fixes

Phoronix Test Suite 6.2 Milestone 5
5 February 2016

pts-core: Add golang as possible external dependency
phodevi: Optimization for slightly faster start-up time
phoromatic: Add WoL details to the maintenace table page
phodevi: Sensor clean-up and fixes  (Jakub Maleszewski)
matisk: Restore the MATISK module for testing  (Jakub Maleszewski)

Phoronix Test Suite 6.2 Milestone 4
26 January 2016

pts-core: Fix for some test profiles not showing up in list-tests sub-command
pts-core: Add function for optionally removing unchanged results
pts-core: Add function for optionally removing noisy results
pts-core: Rework PDF generation of test results
phoromatic: Add option to result viewer for exposing possible points of interest
phoromatic: Add view_results_since support to the export results viewer
pts_Graph: Fix for graphs sometime not rendering correctly on multi-way comparisons

Phoronix Test Suite 6.2 Milestone 3
7 January 2016

pts-core: Add system to default list of repositories
pts-core: Allow result graph footnotes to be added during test time by writing to ~/pts-footnote
pts-core: Optimize array usage along hot paths
pts-core: Add httpd as a possible external dependency
pts_Graph: Rendering fix for collision of result identifiers
phoromatic: Add LimitNetworkCommunication option
phoromatic: Fix in listing tests on schedules page when dealing with cache mismatch
deploy: JuJu update from upstream

Phoronix Test Suite 6.2 Milestone 2
2 January 2016

pts-core: Add FullOutput configuration option for dumping all pre/post/interim information to standard output
pts-core: Add MinimalTestTime user configuration option
phodevi: Software string detection improvements
phodevi: Support for PTS_NPROC environment variable to override reported CPU core count
phoromatic: Export viewer tweaks

Phoronix Test Suite 6.2 Milestone 1
15 December 2015

pts-core: Begin work on dynamic dependency handler infrastructure
pts-core: Add new TestProfile/SystemDependencies field to test profile specification
pts-core: Basic implementation of SystemDependencies for dynamically resolving system/external dependencies based on file name
phoromatic: Allow public listing of download cache files when navigating in browser to /download-cache.php
phodevi: Assume Windows is 64-bit when environment variable check fails
phodevi: Support sys.power sensor monitoring fallback on BAT1

Phoronix Test Suite 6.0.1
20 November 2015

phodevi: Fix potential errors in sensors

Phoronix Test Suite 6.0-Hammerfest
16 November 2015

pts-core: Stop logging lsusb as on some systems calling the command will hang
pts-core: Move common dependencies later in the external dependency handling process
pts_Graph: Fix multi-way comparison line graphs from color collision
phodevi: NVIDIA Jetson TX1 GPU thermal monitoring support and likely will work for some other boards too

Phoronix Test Suite 6.0 Milestone 6
12 November 2015

pts-core: Windows updates
pts-core: Random fixes
pts-core / phodevi: Merge the complete system sensors rework: https://github.com/phoronix-test-suite/phoronix-test-suite/pull/92 (Jakub Maleszewski)
pts-core: pts_openbenchmarking::available_tests() don't show deprecated test profiles by default
phodevi: Support reporting /sys/firmware/devicetree/base/model for part of motherboard/SBC string
phoromatic: Final styling for hammerfest

Phoronix Test Suite 6.0 Milestone 5
4 November 2015

pts-core: Rewrite of the local results viewer, now use HTML+JS rather than XSL
pts-core: Fix finish-run command functionality
pts-core: Fix results getting compacted into single result comparison object when using a local test without version post-fix
pts-core: Fix CSV result output when there are missing results
pts-core: Properly handle spaces in shell_exec() export
pts-core: Other small fixes
phodevi: Support for finding the Xorg.0.log in ~/.local/share/xorg/ with Debian now using that for non-root X Server
phoromatic: Tweaks
documentation: Update HTML template style

Phoronix Test Suite 6.0 Milestone 4
25 October 2015

phoromatic: Start of reworking the web interface
phoromatic: Initial responsive design, mobile friendly
phoromatic: Support for exporting results as XML via the viewer
linux_perf: Add new module to provide perf output reporting on a per-test-run basis when LINUX_PERF=1 environment variable is set
pts_Graph: Tweaks

Phoronix Test Suite 6.0 Milestone 3
9 October 2015

pts_Graph: Continued SVG optimization work
pts-core: Fix "auto-disks" test option to not show partitions
pts-core: Various fixes
pts-core: Finish work on auto-authenticating clients / settings page option to automatically approve newly added systems by default
pts-core: Add extra warning about RequiresRoot=TRUE tests
pts-core: Detect NVMe drives when looking for block devices for disk testing
pts-core: Add "smartmontools" as new PTS External Dependency
pts-core: Rewrite the DragonFlyBSD external dependency handling to now use dports pkg rather than pkgsrc
pts-core: Add NO_HTTPS environment variable option for systems that have trouble with HTTPS

Phoronix Test Suite 6.0 Milestone 2
24 September 2015

pts-core: Just mention PHP 5.3 as the new base requirement. Code still should largely work with PHP 5.2, but don't advertise it
pts-core: Add FileFormat optional tag to result parser with CSV support
pts-core: Add debug-render-test for helping to optimize the graph/result rendering process
pts-core: Rendering optimizations when handling lots of result files / graphs / result identifiers
pts-core: Rework and optimize the pts_result_file
pts-core: Implement new, faster result merger
pts-core: Allow the test_run_manager to run directly with a result_file
pts-core: Do test execution with proc_open(), allow modules to tap the process
pts-core: Add support for emitting SVG files with g tag to save space
pts-core: Fix breakage of pass/fail type tests in result parser
pts-core: Drop unused PIE_CHART type
phodevi: AMDGPU Linux detection improvements
phoromatic: Add "Tests" page
pts_Graph: Don't embed the PNG logo directly into the SVG file, but rely on HTTPS link
pts_Graph: Support coloring based on brand
pts_Graph: Implement new internal graph rendering interfaces, other major rewrites

Phoronix Test Suite 6.0 Milestone 1
26 August 2015

pts-core: Show estimated date/time next to estimated duration left on tests
pts-core: Support /usr/lib/os-release for stateless systems
pts-core: Allow listing multiple items via the info sub-command
pts-core: Add new test profile parsing back-end
pts-core: Unconditionally always ensure __GL_SYNC_TO_VBLANK=0
pts-core: Fixes for test profile validation following recent restructuring
pts-core: WebSocket fixes
pts-core: Fix bash completion
phoromatic: Improvements when server addressing setup fails
pts_Graph: Support reporting a min result on graphs when there is no max value to be reported
toggle_screensaver: GNOME 3 update
perf_per_dollar: Add performance-per-dollar calculator module based on environment variable input
system_monitor: Support reporting a meta/overall performance-per-Watt result at end of result file when activated
phodevi: Add BcacheFS superblock

Phoronix Test Suite 5.8.1
23 June 2015

pts-core: Misc warning fixes
pts-core: Fix result file validation against XML schema
pts-core: Never show /boot/efi as possible benchmark writable mount point
pts-core: Don't report which errors on launcher
phoromatic: Add button to schedules page to allow skipping current trigger
phoromatic: Pass extra attributes during PDF generation to allow for PDF sorting, etc
phoromatic: Allow basic sub-targeting as part of test schedule trigger URLs
phoromatic: Enhancements to the main page
phoromatic: Result tracker detection improvements
phoromatic: Sort systems on main page

Phoronix Test Suite 5.8-Belev
5 June 2015

pts-core: Don't needlessly write out config file each time if nothing relevant has changed
pts-core: Automatically re-install tests if compiler flag environment variables change
pts-core: Add attr as an external dependency
pts-core: Fix for reading multiple dependency names
phoromatic: Reboot system if comm fails 10+ times on client
phoromatic: Add global checkbox to key pages
phoromatic: Track core version of clients in database
phoromatic: Refresh OB repository lists prior to benchmarks
phoromatic: Additional validation on result uploads
phodevi: Some basic hardware reporting improvements that help the MIPS Creator CI20

Phoronix Test Suite 5.8 Milestone 5
28 May 2015

pts-core: Major performance improvements when merging many result files
pts-core: Faster result file parsing
pts-core: Stress-run improvements
phoromatic: Improved tracker page
phoromatic: Updated maintenance page
phoromatic: Log tick sensors into sensors-pool
phoromatic: Show prominent sensors via the dashboard
phoromatic: Add graphs to systems page
phoromatic: Scale SVG result graphs to better page size
phoromatic: Add phoromatic.export-results-for-account-schedules option
phoromatic: Add the Phoromatic Export Viewer

Phoronix Test Suite 5.8 Milestone 4
20 May 2015

pts-core: Support for using DNF directly when available on Fedora
phodevi: Report kernel's build date when detected it's running on a daily/devel/RC kernel
phodevi: Fix for Radeon GPU voltage reporting
phodevi: Improved open-source GPU frequency detection when X Server not active
phoromatic: Various fixes
phoromatic: Add support for specifying custom client update script via account settings page to keep clients PTS updated
phoromatic: Change interface of reporting sensor values

Phoronix Test Suite 5.8 Milestone 3
12 May 2015

pts-core: Separate out WebSocket server back-ends
phoromatic: Honor show_local_tests_only option via the build suite page
phoromatic: Fix jumping on page on checkbox selection when scrolling
phoromatic: Don't print network connectivity messages
phoromatic: Set Phoromatic System Variables set by server on Phoromatic clients as env vars
phoromatic: Lots of early Web Sockets work
phoromatic: Initial support for the Mongoose Embedded Web Server, used by default if php-cgi and mongoose binaries are found in PATH
phoromatic: Support for tick thread
phoromatic: Support for reporting system sensors and client log to systems page
phoromatic: Add support for real-time halt testing and rebooting from the Phoromatic Web UI

Phoronix Test Suite 5.8 Milestone 2
21 April 2015

pts-core: Fix potential crash in list-installed-suites sub-command
pts-core: Enforce CCACHE_DISABLE=1 during install/runtime testing
pts-core: Finish removal of hhvm-server support since it's long been discontinued upstream
pts-core: Add pts-core/hooks/startup
phodevi: Reporting of Btrfs RAID levels to system component table when running disk tests
phoromatic: Workaround for instr() usage in SQLite that caused issues with older distributions
phoromatic: Add LetPublicViewResults option and new public results listing page
phoromatic: Update results selection on rootadmin data page
phoromatic: Start work on nginx server configuration (not yet working)
phoromatic: Add "System Targets" info to benchmark ticket page & "View All Past Tickets"

Phoronix Test Suite 5.8 Milestone 1
2 April 2015

pts-core: Start moving possible deployment scripts into deploy/ directory
pts-core: Move phoromatic-client and phoromatic-server Upstart job files to deploy/
pts-core: Move phoromatic-client and phoromatic-server systemd service files to deploy/
pts-core: Add very basic result-file-to-json sub-command
pts-core: Drop AnonymousHardwareReporting / AnonymousSoftwareReporting as no longer used on OpenBenchmarking.org
Pull in JuJu scripts from https://github.com/juju-solutions/pts to deploy/juju
phodevi: More allowance for clients to recover Internet connection / server communication failure
phoromatic: Clean-up main page schedule for schedules with no associated systems
phoromatic: Show matching ticket results in the compare results column on results page
phoromatic: Allow results page to be limited to particular hash or ticket matches
phoromatic: Allow results page search box to also search system's hardware/software components
phoromatic: Fix for removing a system from all groups on the "system group editing" systems page
phoromatic: Allow per-system overriding of whether automatic power-offs of system are permitted
phoromatic: Get rid of block-poweroff file check in client module now that it can be done per-system from server-side
phoromatic: Allow WoL power-ups for honoring benchmark tickets
phoromatic: Unify more code from start.php into phoromatic_server
phoromatic: Always unset the GRUB recordfail when applicable
phoromatic: Add "System Maintenance Table"
phoromatic: Add "PowerOnSystemDaily" setting option to ensure regardless of schedule that systems will at least power-up/communicate daily if enabled
phoromatic: New checkbox handling on results page to manage comparisons and multi-delete results
phoromatic: Start work on new main page

Phoronix Test Suite 5.6.0-Dedilovo
24 March 2015

pts-core: Drop bilde_renderer since it's been deprecated for a while
pts-core: Yield /dev/mapper/* points in auto-disk-mount-points
pts-core: Detect Internet presence for enterprise-setup
pts-core: cli_set_process_title() still emits error on OS X so block its usage
pts-core: Fix potential warning in detailed-system-info sub-command
phodevi: HFS+ file-system fallback detection on OS X
phodevi: Workaround Hyper Threading detection on OS X
phoromatic: Add universal search functionality from web interface
phoromatic: Improve formatting of annotations
phoromatic: Mark system state as unknown when communication fails and hits the event server check
phoromatic: Don't attempt to open DB in read-only mode if phoromatic.db not yet made

Phoronix Test Suite 5.6 Milestone 5
11 March 2015

pts-core: Ignore test run locking in stress/multi-run mode
pts-core: Allow 128 character result identifier strings
pts-core: Switch the dump-documentation sub-command to generating the README in md format
phoromatic: Change the custom From email sender to Reply-To
phoromatic: Finish hooking-up multi-test/stress-run functionality via the benchmark page
phoromatic: Send emails from rootadmin or group admin's email address where applicable rather than no-reply@
phoromatic: Scroll bar on local suites page condensing
phoromatic: Add "End Ticket" option to benchmark page
phoromatic: Allow stress tests up to 90 days
phoromatic: Allow stress runs up to 24 concurrent tests
phoromatic: Add basic support for annotating/commenting on result files and individual graphs
phoromatic: Add support for the user to delete annotations

Phoronix Test Suite 5.6 Milestone 4
25 February 2015

pts-core: Improvements to phoronix-test-suite make-download-cache
phoromatic: Add "admin data" page to let the rootadmin permanently delete schedules/results/systems
phoromatic: Allow for system identifier variable in benchmark tickets of .SYSTEM
phoromatic: Allow for system identifier variable in benchmark tickets of .GROUP
phoromatic: Allow tickets to be removed from the individual benchmark page
phoromatic: Allow creating new group accounts from the rootadmin page
phoromatic: Add support for repeating tickets
phoromatic: Add basic support for system variables

Phoronix Test Suite 5.6 Milestone 3
15 February 2015

phoromatic: Allow triggers to be deleted
phoromatic: Rely on caching for determining pre-existing cached test profiles from the web UI
phoromatic: Add result RSS support
phoromatic: Add new option to results page
phoromatic: Enforce new PTS sign-on whenever the PTS core version changes due to potential interface changes
phoromatic: Working build suite page
phoromatic: Add support for local suites page
phoromatic: Add benchmark page
phoromatic: Add support for viewing issued benchmark tickets
phoromatic: Add option to force rebuild of results databases
phoromatic: Prepend system ID to result string when running multiple tests without variables
phoromatic: Add "Test All Options" opton to build suite page

Phoronix Test Suite 5.6 Milestone 2
4 February 2015

pts-core: Various fixes
pts-core: Deb/RPM build packaging improvements.
pts-core: Add Markdown Readme file
pts-core: Add hidden ?seed_accountid= option to the welcome / account creation page for custom 6 character ID
pts-core: Fix for session save path on Fedora when running as normal user
pts-core: Import copy of FPDF locally for PDF rendering
phoromatic: Add a public view of test results by going to result page entry -> Result Export -> Public Viewer
phoromatic: Add basic "Upload To OpenBenchmarking.org" link from test result page
phoromatic: Allow users to reset their own password by navigating to the settings page
phoromatic: Add "group name" concept to Phoromatic group of accounts
phoromatic: Improved formatting of the public-viewer page
phoromatic: Allow downloading results as PDF
phoromatic: Allow disabling new account registration by setting custom string via rootadmin's config page
phoromatic: Allow setting a main page message string to show users once logging into their account, via rootadmin's config page
phoromatic: Don't show idling systems on the dashboard
phoromatic: Add IP ping test to system claim page
phoromatic: Introduce PPRID structure as universal unique identifier for results between accounts
phoromatic: Allow optional result sharing between groups / unique accounts (controlled via settings)
phoromatic: Add "force result sharing" option to rootadmin to override per-account settings
phoromatic: New result compare functionality
phoromatic: Support for limiting results to a certain time period
phoromatic: Add comparable results listing on individual result pages
phoromatic: Register module-discovered Phoromatic Servers with pts-core
phoromatic: Add "Only Advertise Cached Tests" option to rootadmin
phoromatic: Download latest OpenBenchmarking.org test suites/profiles in background thread from the event server
phoromatic: Add option to pre-seed test installs to systems when otherwise idling
phoromatic: Support for exporting result files to download as CSV or TXT
phoromatic: Add phoromatic.list-results sub-command for clients to view recent results
phoromatic: Add phoromatic.clone sub-command for clients to clone viewable test results

Phoronix Test Suite 5.6 Milestone 1
13 January 2015

pts-core: Add "short" display mode
pts-core: Add stress-run command to allow for concurrent stress testing / burn-in / torture testing
pts-core: Add TOTAL_LOOP_TIME support to stress-run
pts-core: Add TOTAL_LOOP_TIME=infinite support to stress-run for testing in an infinite loop
pts-core: Add support for libframetime output result parsing
phoromatic: Initial commit of basic tracker page
phoromatic: Better recovery of existing Phoromatic accounts on reloaded systems where the machine self ID changed
timed_screenshot: Fix for crash when PHP GD missing

Phoronix Test Suite 5.4.1-Lipki
23 December 2014

pts-core: Update AppData and systemd service files
pts-core: Add csv-dump-frame-latencies support to result parser
phoromatic: Improve formatting of result strings when merging random result files together
phoromatic: Add enterprise-setup sub-command
phoromatic: Attempt to detect and report IP address next to requested MAC address claim on the system claim page

Phoronix Test Suite 5.4.0-Lipki
9 December 2014

phoromatic: Main page update
phoromatic: Various updates

Phoronix Test Suite 5.4 Milestone 7
1 December 2014

pts-core: Improve MAC address acquisition on systems with multiple NICs
phoromatic: Add add_new_users_to_account option for adding new users automatically to existing account
phoromatic: Allow changing the admin level for users by the main administrator from the Users page
phoromatic: Report systems MAC address from the systems page
phoromatic: Report network's Wake-On-LAN information to Phoromatic Server
phoromatic: Add notification option to email to users when systems appear hung for more than an hour
phoromatic: Add option to power off systems when no more scheduled tests are scheduled for the day
phoromatic: Add option to network wake on lan (WoL) systems when needed for testing
phoromatic: Allow logging of Phoromatic set user context execution
phoromatic: Add support for viewing system logs from the result page link on right hand side
phoromatic: Support for disabling accounts via rootadmin
phoromatic: Track elapsed time during the testing process, report to Phoromatic Server
phoromatic: Allow Phoromatic Servers to be specified via a simple text file at PTS_USER_PATH/phoromatic-servers
phoromatic: Add "configure Phoromatic client via SSH" to Phoromatic Server
phoromatic: Allow IP/MAC based system claiming from Phoromatic Server UI
phoromatic: Allow blocking poweroffs by touching modules-data/phoromatic/block-poweroff
phoromatic: Prominently show "systems needing attention" from the server UI
phoromatic: More email reporting of hung systems / systems not running tests when they should
phoromatic: Add custom Wake-On-LAN packet generator if etherwake isn't found on server
phoromatic: Show schedules/group on system page
phoromatic: Hook in estimated time remaining for task
phoromatic: Report percent complete of task to server
phoromatic: Add system component table
phoromatic: Add new reporting features to server
phoromatic: Add system dashboard
phoromatic: Add legacy init.d script support
phoromatic: Rework idle support and add maintenance mode support to client
phoromatic: Implement maintenance mode on server side

Phoronix Test Suite 5.4 Milestone 6
19 November 2014

pts-core: Fix result merging when PTS test identifier is null, use title string instead as identifier
pts-core: Check for PHP Sockets support
pts-core: Enhanced make-download-cache
pts-core: Enhance PHP_BIN detection
pts-core: Use system's zip library if PHP ZIP is not available
phoromatic: Upstart phoromatic-server job is working (tested on Scientific Linux 6.6)
phoromatic: Add "Run Test Schedule Now" button to test schedule page to allow for easy one-time/manual testing
phoromatic: Add some basic statistics to the rootadmin page
phoromatic: Allow the PhoromaticStorage location to be modified from the webUI when logging in as rootadmin
phoromatic: Allow the download cache location to be modified from the webUI when logging in as rootadmin
phoromatic: Allow the network proxy details to be modified from the webUI when logging in as rootadmin
phoromatic: Allow the HTTP / WebSocket ports to be modified from the webUI when logging in as rootadmin
phoromatic: Increase memory_limit on download cache downloads
phoromatic: Expose all possible video modes as test options
phoromatic: Show recent triggers on a test schedule's page
phoromatic: Add "Upload results to OpenBenchmarking.org" option to settings page
phoromatic: Fix for deactivating options on settings page
phoromatic: Remember last successful Phoromatic Server connection
phoromatic: Add reboot and shutdown commands to Phoromatic module

Phoronix Test Suite 5.4 Milestone 5
10 November 2014

pts-core: Improvements when running as a systemd service / daemon
pts-core: Prefer firefox over Epiphany browser
phoromatic: Implement email notifications on result uploads
phoromatic: Implement email notifications on system generated errors/warnings
phoromatic: Implement email notifications on new systems added
phoromatic: Allow easily comparing a result file to other results for that given schedule ID
phoromatic: Improve formatting of lists
phoromatic: Add times viewed to results
phoromatic: Add "show only results with variation" to result viewing page
phoromatic: Add result flagging to the main page
phoromatic: Allow other/unscheduled test results to be uploaded to the Phoromatic Server using the phoromatic.upload-result sub-command
phoromatic: Show file/path locations when starting the Phoromatic Server
phoromatic: Use a randomly chosen available port by default when starting the Phoromatic Server if no ports are defined
phoromatic: Add basic root administrator support to the Phoronix web interface
pts_Graph: Shrink size of sub-title text strings when they're too long

Phoronix Test Suite 5.4 Milestone 4
5 November 2014

pts-core: Add 3840 x 2160 (4K UHD) to more of the mode-setting fall-back modes
pts-core: Start working on support for using standard Linux file-system hierarchy when running as root as a service
pts-core: Add PhoromaticStorage option to Phoronix Test Suite user configuration XML file
phoromatic: Reporting of overall result counts for given test schedules
phoromatic: Report benchmarking / test run errors to server
phoromatic: Show system errors/warnings from the Phoromatic web UI
phoromatic: Don't attempt to re-run test schedules on clients if they previously reported errors/warnings for that schedule / trigger ID combination
phoromatic: Usernames need to be at least four characters long
phoromatic: Add a schedule overview to the schedules page
phoromatic: Add today's scheduled events to the side bar
phoromatic: Improve result identifier / title reporting for results
phoromatic: Implement "Power User" account level
phoromatic: Add normalize results option to the phoromatic result page
phoromatic: Support for jumping to test results page for XXX past days of test from schedule page
phodevi: IBM POWER hardware detection improvements

Phoronix Test Suite 5.4 Milestone 3
20 October 2014

pts-core: Introduce basic system logging capabilities for services
pts-core: Try downloading files from remote download caches up to two times in event of failure / checksum issues
phoromatic: Start a basic logger of Phoromatic Server events
phoromatic: Add new create schedule interface
phoromatic: Properly hook in system ID / group validation for test schedules
phoromatic: Support for editing schedules from the web UI
phoromatic: Support for activating/deactivating "deleting" test schedules from the web UI
phoromatic: Support for reporting the network MAC address (for later WoL purposes)
phoromatic: Update the CSS style
phoromatic: Add support for the main administrator to create multiple users associated with the same account
phoromatic: Add support for "viewer accounts" where they can view data but not alter/write data
phoromatic: Fix for adding systems to groups
phoromatic: Support for mass editing of systems in groups via the systems page
phoromatic: Support for removing system groups
phoromatic: Introduce activity stream and logging of user events / display from "activity events" page
phoromatic: Support for merging result files from the results page by clicking on each of them once
phoromatic: Support for deleting results from the web UI's results page

Phoronix Test Suite 5.4 Milestone 2
5 October 2014

pts-core: Add "ResultAfterString" to test result parser XML schema
pts-core: Other result file parsing improvements/fixes
pts-core: Rename debug-run mode to debug-benchmark, add extra features
pts-core: Separate out NoNetworkCommunication user option into NoInternetCommunication/NoNetworkCommunication user config options for those still wanting LAN/intranet support
pts-core: Add support to PTS clients for automatically finding Phoromatic Servers using Avahi zero-conf network discovery
pts-core: Improvements to make-download-cache
pts-core: Improved detection of file downloads that fail and serve HTML 404/not found responses
pts-core: Convert to a JSON-based representation instead of XML for the pts-download-cache file
pts-core: Various file hash checking improvements during test installation
pts-core: Allow Phoronix Test Suite clients to automatically discover Phoromatic download-cache archives
pts-core: Rewrite most of the RPM package generator
pts-core: Support /usr/share/phoronix-test-suite/download-cache as another download cache by default
pts-core: Client support for being able to obtain OpenBenchmarking.org index/test/suite data from local Phoromatic Servers
pts-core: Improved dump-core-storage output
pts-core: Introduce machine_self_id as UUIDv5 compliant self-generated unique identifier for each PTS client
pts-core: Allow result file titles up to 126 characters in length
pts-core: Add start of basic Phoromatic Server systemd service file
pts-core: Add start of basic Phoromatic Server Upstart conf file
pts-core: Introduce make-openbenchmarking-cache sub-command for trying to cache all test/suite meta-data from OpenBenchmarking.org
pts-core: Allow PhoromaticServers user-config.xml to specify static Phoromatic Server IP:port information
pts-core: Initial Upstart and systemd configurations for the Phoromatic clients
phoromatic: Begin allowing results to be stored locally, not dependent on OpenBenchmarking.org storage
phoromatic: Advertise Phoromatic Server using Avahi zero-conf networking service when avahi-publish available and AdvertiseServiceZeroConf user config option is TRUE
phoromatic: Automatically setup download-cache over Phoromatic HTTP with the system's local download-cache archive
phoromatic: Allow sharing OpenBenchmarking.org index/test/suite cache data from server with local Phoromatic clients
phoromatic: Support pts-core's machine_self_id for system identification as an alternative to OpenBenchmarking.org GSID
phoromatic: Add phoromatic.explore sub-command for showing discovered Phoromatic servers and their server/debugging information
phoromatic: Add a cache settings page to the web interface
phodevi: Allow GPU frequency detection for DRM/KMS drivers when no X Server DDX is detected
phodevi: Allow multiple providers for one VFS entry in case of failure in prior commands/files
phodevi: Allow reading X Server log from the systemd journalctl
phodevi: Restructure when /etc/os-release is parsed for obtaining OS name/version information
system_monitor: Allow user-set time interval period between sensor measurements using MONITOR_INTERVAL environment variable

Phoronix Test Suite 5.4 Milestone 1
5 September 2014

pts-core: Sanitize pts_result_file user strings
pts-core: Don't set memory_limit with HHVM
pts-core: Drop phoromatic_legacy support (old Phoromatic.com version)
system_monitor: Correct perf-per-Watt calculation for LIB results
phodevi: Support Nouveau's pstate formatting changes to read core/mem MHz on newer kernels
phodevi: Support for reading monitor EDID over sysfs, decoding descriptors, and obtaining monitor name (should improve monitor name reporting for Intel Linux systems)
phodevi: Improved SoC detection
pts_LineGraph: Alignment fix for keys

Phoronix Test Suite 5.2.1-Khanino
11 July 2014

pts-core: Add VDPAU as a dependency to the xorg-video external dependency on more platforms
pts-core: Don't check OpenBenchmarking.org credentials when the network is down
pts-core: Rework result-file-to-text sub-command, show text-based graph results
phodevi: Improve NVIDIA binary driver GPU utilization detection
phodevi: Add DDE / Deepin Desktop Environment detection
pts_Graph: Few minor graph alignment corrections

Phoronix Test Suite 5.2.0-Khanino
5 June 2014

pts-core: Support for GZ compressing result file XML data before uploading to OpenBenchmarking.org
pts_Graph: Further graphing improvements

Phoronix Test Suite 5.2 Milestone 4
29 May 2014

pts-core: Always report the CPU scaling governor to the system table
pts-core: Add auto-sort-result-file option
phoromatic: Improve the systems' page
phoromatic: Allow up to three connection failures before quitting
pts_Graph: Improved, cleaner, and more accurate rendering of the pts_OverViewGraph
pts_Graph: Make the horizontal box chart graph in good shape
pts_Graph: Revert earlier render_graph_value_ticks() change by mufasa72 as it produced inaccurate tick values
pts_Graph: use the horizontal box plot when rendering frame times for large number of results
pts_Graph: Various other graphing improvements

Phoronix Test Suite 5.2 Milestone 3
22 May 2014

pts-core: Be more strict in handling DynamicRunCount option
phoromatic: Cleaning up more of the Phoromatic UI
phoromatic: Support for updating the system status
system_monitor: Allow extra idling time at begin and end of testing process
pts_Graph: Improve formatting of line graph keys
phodevi: Detection support for KDE Frameworks 5 / Plasma Next desktop

Phoronix Test Suite 5.2 Milestone 2
18 May 2014

pts-core: Add RUN_TESTS_IN_RANDOM_ORDER environment variable to cause tests to run in a random order
pts-core: Add sdl2-development to PTS External Dependencies
pts-core: Fix regression from 5.2m1 that broke some areas of the GUI / web interface
pts_Graph: Render min/avg/max stats at top of line graphs (thanks to mufasa72)

Phoronix Test Suite 5.2 Milestone 1
8 May 2014

pts-core: Fix for not writing null test result file titles
pts-core: Fix & improvements to PRESET_OPTIONS environment variable
pts-core: Rename old/legacy phoromatic module to phoromaric_legacy
pts-core: Allow a range of test run options to be inputted (e.g. 2-5) to complement just a single test option or delimited by commas
pts-core: Fix for NOT saving test results when in batch-run mode and configured against saving
pts-core: Allow TEST_RESULTS_IDENTIFIER environment variable to be used when running tests unconditionally
phodevi: Improvement for detecting optimal NVIDIA Linux GPU core frequency on modern GPUs
phodevi: Add GPU usage reporting support to open-source AMD Radeon driver via RadeonTOP

Phoronix Test Suite 5.0.1-Plavsk
2 April 2014

pts-core: Add "libudev1:i386" to "32bit-compatibility" external dependency for Ubuntu Linux
pts-core: Add invalid command helper to force-install sub-command
pts-core: Add "pcre" external dependency
pts-core: Add pushover_net module as a way of sending iOS/Android push notifications of results using Pushover.net
pts-core: Ensure the result file description properly updates when adding to result files with new data
pts-core: Add edit-result-file command that allows for editing a result file's title and description
pts-core: Workaround HTTPS OpenBenchmarking.org proxy issue
pts-core: Improved handling when the system's php.ini is using a restricted open_basedir setting
pts-core: Arch Linux support improvements
pts-core: When PTS client fails to find ZIP support, emit a PTS error
pts-core: Ship an AppData file (phoronix-test-suite.appdata.xml)
toggle_screensaver: Disable on OS X since there is no support for automatically disabling the OS X screensaver and causes collision with MacPorts
phodevi: Add extra checks to ensure NVIDIA blob doesn't get reported as Nouveau DDX due to kernel changes

Phoronix Test Suite 5.0-Plavsk
12 March 2014

pts-core: Improvements to run-random-tests
pts-core: Support for running the HTML5 UI on Microsoft Windows
pts-core: Rename RemoteAccessAllowed user configuration option to RemoteAccessPort
phodevi: Improve MATE detection
phodevi: Improve desktop environment recognition with $DESKTOP_SESSION
phodevi: Ensure GCC's minor version number is reported

Phoronix Test Suite 5.0 Milestone 3
3 March 2014

pts-core: Windows 8.1 support improvements
pts-core: Add SKIP_TESTING_SUBSYSTEMS environment variable, partially based on former ONLY_TEST_TYPES
pts-core: Add a run-random-tests command to run random tests/workloads on the system
phodevi: Improve NVIDIA DDX version detection
phodevi: Improve audio detection
phodevi: Add extra fallback for trying to read Radeon DRM core and memory frequencies on recent kernels

Phoronix Test Suite 5.0 Milestone 2
17 February 2014

pts-core: Add rename-result-file option
pts-core: WebSocket bug-fixes
pts-core: Other bug-fixes
pts-core: Disable the compiler-mask by default on FreeBSD/PC-BSD due to potential test installation issues on 10.0-RELEASE
pts-core: Split webui command into gui and start-remote-gui-server (local HTML5 GUI support) commands (remote + local HTML5 GUI support)

Phoronix Test Suite 5.0 Milestone 1
6 February 2014

pts-core: Add web-server-launcher support
pts-core: Support starting HHVM as a web server
pts-core: Startup speed optimizations
pts-core: Cleaned up code error reporting/handling
pts-core: Add server remote access and password options to user-config.xml user configuration options
pts-core: Adjust handling of PTS OpenBenchmarking.org downloading of test profile order and hash handling
pts-core: Reduce unnecessary communication with OpenBenchmarking.org network server
pts-core: Support system identifier strings up to 64 characters
pts-core: Add LIMIT_ELAPSED_TEST_TIME to limit the amount of time (in minutes) for a given Phoronix Test Suite process to complete its testing
pts-core: Allow null descriptor strings
pts-core: Fix regex for version string
pts-core: Random fixes
phodevi: Various improvements
phodevi: Improved disk scheduler fallback reporting
documentation: Update to point out new Git location at github.com/phoronix-test-suite/ over Phorogit
nye_Xml: Fix for writing zeros in XML tags when using the "when not empty" function

Phoronix Test Suite 4.8.6-Sokndal
10 December 2013

pts-core: Print out pre/interim/post test script outputs when running in debug-run mode
pts-core: DragonFlyBSD 3.6.0 support improvements
pts-core: Support using DragonFlyBSD dports package management system for external dependencies
pts-core: NO_FILE_HASH_CHECKS environment variable also doesn't enforce MD5/SHA256 checks on make-download-cache sub-command
pts-core: Pass test arguments to pre/interim/post test profile scripts; ESET / Michal Zatloukal patch
pts-core: Don't do dynamic test run counts when using system_monitor module
pts-core: Support reading the full terminal width using stty as tput cols doesn't seem to report anything but 80 with shell_exec()
pts-core: Add "tiff" external dependency for providing libtiff and header files
pts-core: Don't offer to save test results when using debug-run mode
phodevi: Support reading monitor vendor/model numbers when using the binary NVIDIA Linux driver, including recent versions
phodevi: Improve multi-monitor resolution reporting when sharing an X.Org Server
phodevi: Remove more useless compiler path argument reports
toggle_screensaver: Auto unload module when no display server found

Phoronix Test Suite 4.8.5-Sokndal
22 November 2013

pts-core: Improve formatting of interrupt messages with the (default) concise display mode
pts-core: Don't remove test install files on installation failures
pts-core: Allow download-test-files command to use OpenBenchmarking.org IDs
pts-core: Don't dynamically increase the test run count when dealing with cache shares
pts-core: Fix for not opening the web-browser in batch mode
pts-core: Add zypper SUSE help support when not finding PHP
phodevi: Add support for Nouveau PSTATE parsing on Linux 3.13+
phodevi: Recognize 'HIS' (Hightech Information System) graphics cards
phodevi: Recognize 'ZOTAC' graphics cards
phodevi: Fix redundant monitor model reporting detection on Catalyst
phodevi: Add support for NVIDIA-Settings GPUUtilization in gpu.usage sensor

Phoronix Test Suite 4.8.4-Sokndal
7 November 2013

pts-core: Allow web browsers and graphics tests to work on $WAYLAND_DISPLAY when $DISPLAY is not set
pts-core: Fix for libstdc++ on Gentoo external dependency
pts-core: Add a ResultScale XML tag option for the results-parser to provide custom ResultScale values depending upon selected parser option
pts-core: Add a ResultProportion XML tag option for the results-parser to provide custom result proportion values depending upon selected parser option
pts-core: Add ResultPrecision XML tag to results-parser for setting math precision of decimal points on result (default remains 2)
pts-core: Add support for writing to $INSTALL_FOOTNOTE during test installations to report custom footnote on generated graphs
pts-core: Add SuiteSparse, TinyXML, DUNE external dependencies
pts-core: Add opencl header external dependencies for more platforms
pts-core: Refresh OpenBenchmarking.org repository index data file once upon hitting missing test profile
pts_Graph: Improve precision of increments for graph results with sub-1 values
phodevi: Protect against "undefined" memory strings from DMI data
phodevi: Add Wayland Weston version detection
phodevi: Detect gnome-shell-wayland
phodevi: Add support for CPU node-count property for number of physical CPU nodes

Phoronix Test Suite 4.8.3-Sokndal
2 October 2013

pts-core: Fix openmpi on Gentoo external dependency
pts-core: Detect graphics comparison when GPU changes with audio string
pts-core: Don't use HTTPS on proxies when connecting to OpenBenchmarking.org
pts-core: Add VersionSpecific capability to external dependencies handling for package(s) that may only be in certain OS versions
pts-core: Ensure xscreensaver is deactivated
pts-core: Support toggling GNOME3 screensaver on GNOME 3.8+ where org.gnome.desktop.screensaver idle-activation-enabled -> org.gnome.desktop.session idle-delay
phodevi: Fix for parsing long PCI string values
phodevi: Improve Intel GPU model detection with recent xf86-video-intel DDX

Phoronix Test Suite 4.8.2-Sokndal
30 August 2013

pts-core: Fix for reporting environment variables to system notes on system graph table
pts-core: Fix OpenBenchmarking.org class issue for select code paths

Phoronix Test Suite 4.8.1-Sokndal
14 August 2013

pts-core: Fix OpenBenchmarking.org log-ins

Phoronix Test Suite 4.8.0-Sokndal
13 August 2013

pts-core: When PHP is missing, for apt-get/yum distributions report the likely command needed to run
pts-core: Don't prompt to install missing/failed tests when using the 'benchmark' command
phodevi: Support for reading the Radeon DRM driver's current core/memory frequencies when DPM is enabled (Linux 3.11+)
phodevi: Support for reading the top Radeon DRM driver core/memory frequency via dmesg when DPM is enabled (Linux 3.11+)
phodevi: Support for reading the Radeon DRM driver's current GPU (vddc) voltage when DPM is enabled (Linux 3.11+)
phoromatic: Updated module against latest upstream Phoromatic.com Server

Phoronix Test Suite 4.8 Milestone 5
6 August 2013

pts-core: Add php5-json as a dependency now on Debian packages since Ubuntu split it up and no longer in php5-cli
pts-core: Add support for reporting set kernel module parameters to notes on the system table graph
pts-core: Add support for reporting of important environment variables to notes on the system table graph
pts-core: Changes needed for modern Phoromatic
pts_Graph: Add new automated color chooser for line graph color selection
pts_Graph: Slight rework to code handling the remove of common words from result identifiers
phodevi: Add support for Intel DRM driver's gt_max_freq_mhz for obtaining maximum GPU frequency on modern kernels
phodevi: Add support for Intel DRM driver's gt_cur_freq_mhz for obtaining current GPU frequency on modern kernels
phodevi: Only prepend AIB vendor to NVIDIA and AMD GPU strings
phodevi: Add system.kernel-parameters property for reading kernel command line parameters
phodevi: Add support for checking the __GL_FSAA_MODE environment variable
phodevi: Add support for checking the __GL_LOG_MAX_ANISO environment variable
phodevi: Add 0xc36400 super block for CephFS
phodevi: Add unity-system-compositor version detection

Phoronix Test Suite 4.8 Milestone 4
24 July 2013

pts-core: Add initial support for test profile's downloads.xml to have a SHA256 hash for files
pts-core: Rename NO_MD5_CHECKS environment variable to NO_FILE_HASH_CHECKS
pts-core: Add PTS5 codenames from Tulskaya oblast / Tula Oblast Russian region
pts-core: Support fixes for Facebook HipHop Virtual Machine for PHP HHVM 2.1.0
pts-core: Fix text corruption bug with auto shortening of identifiers on multi-way comparisons
pts_Graph: Fix auto shortening when the first identifier is only one word
phodevi: Support ECS and eVGA graphics card AIB vendor detection

Phoronix Test Suite 4.8 Milestone 3
19 July 2013

pts-core: Add few more cases of error detection on failed test install
pts-core: Round download size totals in the concise display mode for large files
pts-core: Add missing PreInstallMessage and PostInstallMessage to the OpenBenchmarking.org test profile schema and writer
pts-core: Allow test results to have "secondary_linked_results"
pts-core: Add initial support for frame latency / jitter secondary result graphs
pts_Graph: Assume any version of Google Chrome/Chromium can render SVG
pts_Graph: Only prepend 'v' to version string on graphs if first character is numeric
toggle-screensaver: Support doing "xscreensaver-command -exit" when needed
phodevi: Add more stock fallback display modes
phodevi: Ensure MB/GB are reported on OS X memory strings
phodevi: Workaround Linux 3.10 kernel reporting bogus frequencies for scaling_max_freq on some Intel CPUs
phodevi: Support prepending the graphics card / AIB vendor on GPU strings

Phoronix Test Suite 4.8 Milestone 2
6 July 2013

pts-core: Expand Mandriva Linux external dependency support to distributions having urpmi
pts-core: Add Apple OS X font paths for use by the GD graph renderer
pts-core: Add "/usr/lib64/" to the automated external dependency verification path
pts-core: Allow passing multiple test identifiers to remove with remove-from-result-file command
pts-core: Give a warning when the results viewer opens in the KDE Konqueror web-browser
phodevi: Break operating system string at "("
phodevi: Don't return "n/a" from LSB release strings
phodevi: IceWM window manager detection
phodevi: Add gpu.temp safety check to prevent against AMD Catalyst OverDrive sending garbage
phodevi: Fix for XRandR resolution query on XMir
phodevi: Support using systemd-detect-virt as fallback for detecting Linux virtualization method

Phoronix Test Suite 4.8 Milestone 1
20 June 2013

pts-core: Don't show null error strings on failed test installations
pts-core: Allow test profiles to pass min/max data results through JSON to graphs using MIN_ and MAX_ prefixes
pts-core: Support displaying min/max data from the concise (default) display mode text output
phodevi: MHz -> GHz fix for the cpu.freq sensor on Apple OS X
phodevi: Add fallback support for using ioreg for calculating sys.power power draw on Apple OS X
phodevi: Support reporting multiple monitor models from Xorg.0.log

Phoronix Test Suite 4.6.1-Utsira
6 June 2013

pts-core: Add ONLY_TEST_TYPES environment variable for skipping test profiles that don't belong to a certain hardware type
pts-core: Ensure extract-from-result-file opens the proper HTML web-browser
pts-core: Ensure copy-run-in-result-file opens the proper HTML web-browser
pts-core: Ensure reorder-result-file opens the proper HTML web-browser
pts-core: Ensure rename-identifier-in-result-file opens the proper HTML web-browser
pts-core: Ensure remove-from-result-file opens the proper HTML web-browser
pts-core: Reworked handling of browser launching in batch mode
pts-core: Launch the web browser to display results when using internal-run mode
phodevi: Add Haswell BMI2 detection
phodevi: Support vm_stat with the memory.usage sensor, works on OS X
phodevi: Add new network.usage sensor for Apple OS X contributed by ESET

Phoronix Test Suite 4.6.0-Utsira
21 May 2013

phodevi: Report CPU scaling driver along side the CPU scaling governor

Phoronix Test Suite 4.6 Milestone 2
16 May 2013

pts-core: Support compiler masking on short binaries
pts-core: More advanced detection of compiler flags within the compiler masking process
pts-core: DragonFlyBSD external dependency packaging updates
pts-core: Various fixes
phodevi: Fix for cpu.freq sensor reading on Apple OS X

Phoronix Test Suite 4.6 Milestone 1
11 April 2013

pts-core: Official support for Facebook's HipHop HHVM PHP
pts-core: Introduce new pts_define interface
pts-core: Add debug-self-test option for running a self-hosting PHP/PTS performance test
pts-core: Support PHP 5.4's cli_set_process_title() function
pts-core: For now don't use PHP CURL on HipHop HHVM due to issues
pts-core: Ubuntu 13.04's sudo seems to have problems with the external dependency handling
pts-core: Add internal-run command for running benchmarks in semi-automated manner and without uploading data to OpenBenchmarking.org
phodevi: Fix for memory reporting on OS X
phodevi: Improved LLVM Clang compiler version detection with modern Apple Xcode
phodevi: Improved Intel Linux GPU overclocking frequency detection
phodevi: Fix for detecting new (319.xx) NVIDIA Linux driver X.Org driver

Phoronix Test Suite 4.4.1-Forsand
14 March 2013

pts-core: Add the arm-linux-gnueabihf library directory for PTS External Dependency checks
pts-core: Add SKIP_ALL_TEST_SUPPORT_CHECKS environment variable
pts-core: Fix screen resolution listening when the resolution fails to be detected through Phodevi
pts-core: Update openSUSE external dependencies
pts-core: Strip "project" from reported strings
phodevi: Add support for detecting the Razor-qt desktop environment
phodevi: No longer report the Catalyst marketing version number since the DDX is no longer reporting it reliably
phodevi: Detect if the X.Org Server DDX module was unloaded
phodevi: Reorder DDX driver fallback detection
phodevi: Cleanse eCryptfs sig and cipher from showing in mounts file
phodevi: Improve Linux memory RAM type detection

Phoronix Test Suite 4.4.0-Forsand
26 February 2013

pts-core: Improvement for detecting installed libraries for external dependency handling
pts-core: Address redundant dash handling within the result file save name
phodevi: Support for detecting SurfaceFlinger (Google Android)
phodevi: Ensure non-ASCII characters are removed from Phodevi properties
phodevi: Support for reading the OpenGL Core Profile information via glxinfo

Phoronix Test Suite 4.4 Milestone 3
14 February 2013

pts-core: Incorporate xx.yy (of xx.yy.zz) test profile version string into test result comparison_hash
pts-core: Return contained tests hash for result files as a raw SHA1
pts-core: Improving passing of compiler flags/options to be reported on test result graphs
pts-core: Support specifying just relative include files, shared libraries, and command names for file check in PTS External Dependencies
pts-core: Faster PTS External Dependencies resolution and file checking
pts-core: Support for falling back right away to the generic file check lists for packages if not supplied by OS-specific list
pts-core: Add MacPorts PTS External Dependencies support for handling some package dependencies on Apple Mac OS X
pts-core: Allow 3D tests to run when LLVMpipe OpenGL is present regardless of the display driver loaded for the graphics card
phodevi: Add file-system magic blocks for eCryptfs, AuFS, LustreFS, and Panasas PanFS
phodevi: Add AVX2 (Advanced Vector Extensions 2) CPU instruction set detection
phodevi: Support for detecting the new F2FS file-system

Phoronix Test Suite 4.4 Milestone 2
30 January 2013

pts-core: Improvement for detecting errors from failed test installations
pts-core: Allow "Deprecated" flag for ProfileStatus in the XML test profile schema
pts-core: Support for scanning test run log files automatically to look for errors when tests fail to execute
pts-core: Remove duplicate "libtool" PTS External Dependency
pts-core: Complete rewrite of the FreeBSD external dependency handling to use ports collection
pts-core: Enable BSD support for checking exit codes on test installation and test execution
pts-core: Various BSD support improvements
pts-core: Begin on DragonFlyBSD pkgsrc-based external dependency solution
phodevi: Fix to improve Xfce version detection when Gtk-Warnings are thrown before the version string
phodevi: Add Enlightenment desktop environment detection support
phodevi: Add Consort Desktop Environment (GNOME Fork) detection support

Phoronix Test Suite 4.4 Milestone 1
23 January 2013

pts-core: Introduce 'common-dependencies' concept to PTS External Dependencies
pts-core: Fix reporting of some already installed dependencies
pts-core: Support for listing 'local/' tests from the list-supported-tests command
pts-core: Support for test profiles providing a 'support-check.sh' file
pts-core: Support for reporting the Graphics AA/AF values to the system notes table
pts-core: Add a public version of the TODO list
pts-core: Don't attempt copying install.log to install-failed.log on empty files
pts-core: Add fallback to allow matching an operating system to an external dependencies package list based upon the detected package manager
pts-core: When anonymous usage reporting is enabled, report test installation failures to OpenBenchmarking.org for analyzing problem
pts-core: Support for detecting common errors within test profile install failures and reporting the relevant information to the user
pts-core: When installing many tests and there are install failures, conveniently show the errors at the end
pts-core: When installing multiple tests, report any unknown test profiles/suites
pts-core: Faster loading of list-available-tests command by not forcing all test profile data be downloaded
pts-core: Progressively download OpenBenchmarking.org in list-available-suites command to display information faster
phodevi: Improve Nouveau video RAM memory capacity detection on newer Linux kernels
phodevi: Warning fix for Radeon GPU frequency detection
phodevi: Drop "special_settings_string" support
phodevi: Support for checking if the Gallium3D anti-aliasing level was overrode using GALLIUM_MSAA environment variable

Phoronix Test Suite 4.2.0-Randaberg
20 December 2012

pts-core: Fix SVG render detection on Firefox/Gecko 17.0
pts-core: Fix for breaking quoted args with internal spaces (reported by _rubio_)
pts-core: Add glibc-static to build-utilities external dependency on Fedora
pts-core: Fix for using the SKIP_TESTS environment variable causing a fatal error
pts-core: Phoronix Test Suite 4.4 is codenamed Forsand
phodevi: Improved detection of power consumption from batteries in certain Linux configurations

Phoronix Test Suite 4.2 Milestone 3
22 November 2012

pts-core: Don't report null times for estimated run-time
phodevi: Support for determining the build configuration on LLVM 3.2 where llvm-ld is llvm-link
phodevi: Hard fall-back support for detecting the xf86-video-modesetting driver usage
toggle_screensaver: Disable blanking of the terminal screen when running tests

Phoronix Test Suite 4.2 Milestone 2
22 October 2012

pts-core: Add list-recommended-tests option for providing subsystem test recommendations based upon OpenBenchmarking.org popularity/usage
pts-core: Add auto-compare option for automatically determining relevant OpenBenchmarking.org result comparisons based upon software/hardware
pts-core: Allow passing test profile names to auto-compare to seed it with the test(s) you wish to use for comparison
pts-core: OpenBenchmarking.org now supports system log payload sizes up to 2MB
pts-core: Object-ify PTS external dependency handling
phodevi: Split some functions into new phodevi_base class

Phoronix Test Suite 4.2 Milestone 1
8 October 2012

pts-core: Support download caches at /media/*/*/download-cache/
pts-core: Support OPENGL_DRIVER as a run-time variable
pts-core: For external dependency handling, treat Linaro as Ubuntu
pts-core: Check for null distribution-specific external dependency package names
pts-core: Formatting improvements to result-file-to-text output
pts-core: Add openssl-development as a new test external dependency
pts-core: Don't warn on out-of-date test profiles when being run in batch mode
phodevi: Support for reading the VirtualBox version of Beta/RC versions
phodevi: Better support detection for Exynos ARM cores
phodevi: Initial support for reading node power over IPMI
phodevi: Initial support for reading core temperature over IPMI
phodevi: On Linux attempt to determine the install RAM's vendor and product part number
toggle_screensaver: Support for module suspending the Xfce4 desktop screensaver using xfconf-query
pts_Graph: Fix for vertical/rotated text in SVG -> GD translation

Phoronix Test Suite 4.0.1
21 August 2012

pts-core: Allow shortened test profile versions inputted by user to be expanded to matching latest version in stream
pts-core: Allow shortened test suite versions inputted by user to be expanded to matching latest version in stream
pts-core: Add list-unsupported-tests option for debugging purposes
pts-core: Add subversion as a PTS External Dependency
pts-core: Add git as a PTS External Dependency
pts-core: Add superlu as a PTS External Dependency
pts-core: Add libtool as a PTS External Dependency
pts-core: Hash within the result file all of the contained tests
pts-core: Support for anonymous usage reporting of test installation times to OpenBenchmarking.org
phodevi: Fix memory RAM DIMM count detection in select configurations
phodevi: Intel GPU string reporting improvement
phodevi: Support for detecting multiple GPUs on Apple OS X
phodevi: Support for detecting Gallium3D XA
phodevi: Support for llvm-link on LLVM 3.2svn

Phoronix Test Suite 4.0.0-Suldal
23 July 2012

pts-core: Initial implementation of the PTS4 Local Results Viewer
pts-core: Initial command of ob-test-profile-analyze
pts-core: Fix for installing Ubuntu external dependencies in a headless mode
pts-core: Disable webui since it won't be ready until PTS 4.2
pts-core: External dependencies fix for SUSE Linux Enterprise Server 11
phodevi: Additional fall-back support when GPU driver doesn't expose all standard mode-setting modes
phodevi: Support for detecting and reading the version of the Cinnamon Desktop Environment
timed_screenshot: Overhaul of the timed screenshot PTS module
timed_screenshot: Compress PNG images

Phoronix Test Suite 4.0 Milestone 4
29 June 2012

pts-core: Support download caches at /run/media/*/*/download-cache/
pts-core: Set SKIP_TEST_SUPPORT_CHECKS=1 environment variable for debugging purposes to run tests on unsupported platforms
pts_Graph: Only render as much room for pts_OverViewGraph as there are for what will be rendered (bar graph values)
phodevi: Ensure DVD drives don't get reported on BSD operating systems when requesting disk drives
phodevi: Improve graphics processor detection on Solaris 11 11/11 for non-NVIDIA GPUs
system_monitor: Add support for handling i915_energy monitor reading in microJoules for each test run
system_monitor: Place timer support for individual test runs within the module

Phoronix Test Suite 4.0 Milestone 3
22 May 2012

pts-core: Reformat user configuration input on test run
pts-core: Improve no-network support handling
pts-core: Streamline detailed-system-info collection
pts-core: Invalid command improvements
pts-core: Various alterations
pts-core: Make greater use of trigger_error
pts-core: Generate more relevant default result identifier strings based on subsystems under test on empty input
phodevi: Support to attempt to detect the file-system underneath ecryptfs
pts-core: Debian control script update

Phoronix Test Suite 4.0 Milestone 2
29 April 2012

pts-core: Better recognize some open-source vs. closed-source graphics card/driver combination comparisons
pts-core: Fix potential crash in list-test-usage command
pts-core: Support for detecting FSGSBASE and RDRAND on Intel Ivy Bridge
pts-core: When detecting a CPU comparison, report the detailed CPU system table information
pts-core: When detecting a GPU/OpenGL comparison, report the detailed GPU system table information
pts-core: Fix PRESET_OPTIONS failing when specifying an option value rather than its index
pts-core: Archive vdpauinfo when available
phodevi: Detection support for Intel IOC (Intel Offline Compiler) OpenCL SDK
phodevi: Support for detecting GLAMOR (Intel OpenGL-accelerated X.Org Driver) acceleration
pts_Graph: Fix rounding issue on pts tables that are very wide
pts_Graph: Add SideViewTable
documentation: Add a basic text README to the root phoronix-test-suite directory

Phoronix Test Suite 4.0 Milestone 1
12 April 2012

pts-core: Add AutoSortRunQueue option that by default automatically sorts the test execution queue to run similar tests together
pts-core: Expose more verbose information within detailed-system-info command
pts-core: Remove recover-run command since with new PTS4 changes the finish-run command will provide the same functionality
pts-core: Track the CPU scaling governor configuration between test runs
pts-core: Report 2D acceleration information to system table report on graphics test runs
pts-core: Support for showing test notes on multi-way comparisons
pts-core: Fix compatibility with the new pts_Graph renderer back-end for result-file-to-pdf option
pts-core: Add p7zip as a possible external dependency
pts-core: When running OpenCL tests, report the number of available compute cores
pts_Graph: Begin work on PHP 5.4 "webui" option (currently far from incomplete/experimental)
pts_Graph: Tweak spacing on pts_Table
pts_Graph: Re-factor most text vertical offsets to not use dominant-baseline since Opera still doesn't support this SVG attribute properly
pts_Graph: Begin unifying the Phoronix Test Suite and OpenBenchmarking.org theme
pts_Graph: Fix for emitted GD poly-lines being always black
pts_Graph: Begin work on block diagram graph (currently incomplete/experimental)
phodevi: Remove support for the deprecated HAL Linux fall-backs
phodevi: LLVM compiler reporting build configuration enhancements
phodevi: Support for reporting multiple mmcblk* disk devices
phodevi: Report /sys/hypervisor/type as a system layer
phodevi: Fix LXDE version detection
phodevi: Support for reporting the Openbox version
phodevi: Read Nouveau clock current frequencies rather than maximum frequencies (performance_level)
phodevi: Initial implementation of the Phodevi VFS (Virtual File-System; Still A Work In Progress)
graphics_event_checker: Override NVIDIA SyncToVBlank so it's always disabled
system_monitor: Allow performance per Watt to be automatically calculated if PERFORMANCE_PER_WATT is set

###

For the change-log from older Phoronix Test Suite releases, view the Phoronix Test Suite Git repository
